package model

import (
	"time"

	"gorm.io/gorm"
)

var Models *LogicModels = &LogicModels{}

type LogicModels struct {
	KillaraAdAppModel                      *KillaraAdAppModel
	KillaraAdLaunchModel                   *KillaraAdLaunchModel
	KillaraAdPcModel                       *KillaraAdPcModel
	KillaraAdPopupModel                    *KillaraAdPopupModel
	KillaraAdXcxModel                      *KillaraAdXcxModel
	KillaraCatalogAndroidModel             *KillaraCatalogAndroidModel
	KillaraCatalogBankModel                *KillaraCatalogBankModel
	KillaraCatalogCountryModel             *KillaraCatalogCountryModel
	KillaraCatalogCurrencyModel            *KillaraCatalogCurrencyModel
	KillaraCatalogExportModel              *KillaraCatalogExportModel
	KillaraCatalogFileModel                *KillaraCatalogFileModel
	KillaraCatalogHolidayModel             *KillaraCatalogHolidayModel
	KillaraCatalogInviteModel              *KillaraCatalogInviteModel
	KillaraCatalogLanguageModel            *KillaraCatalogLanguageModel
	KillaraCatalogMerchantModel            *KillaraCatalogMerchantModel
	KillaraCatalogNoticeModel              *KillaraCatalogNoticeModel
	KillaraCatalogServicefeeModel          *KillaraCatalogServicefeeModel
	KillaraCommissionModel                 *KillaraCommissionModel
	KillaraCustomerModel                   *KillaraCustomerModel
	KillaraCustomerAccountModel            *KillaraCustomerAccountModel
	KillaraCustomerBalanceModel            *KillaraCustomerBalanceModel
	KillaraCustomerCommissionModel         *KillaraCustomerCommissionModel
	KillaraCustomerCommissionWithdrawModel *KillaraCustomerCommissionWithdrawModel
	KillaraCustomerDepositModel            *KillaraCustomerDepositModel
	KillaraCustomerDeviceModel             *KillaraCustomerDeviceModel
	KillaraCustomerDeviceLogModel          *KillaraCustomerDeviceLogModel
	KillaraCustomerDistributorModel        *KillaraCustomerDistributorModel
	KillaraCustomerExchangeModel           *KillaraCustomerExchangeModel
	KillaraCustomerFavouriteModel          *KillaraCustomerFavouriteModel
	KillaraCustomerFeedbackModel           *KillaraCustomerFeedbackModel
	KillaraCustomerFundModel               *KillaraCustomerFundModel
	KillaraCustomerHoldModel               *KillaraCustomerHoldModel
	KillaraCustomerInternationalModel      *KillaraCustomerInternationalModel
	KillaraCustomerIpoModel                *KillaraCustomerIpoModel
	KillaraCustomerNewsModel               *KillaraCustomerNewsModel
	KillaraCustomerPointModel              *KillaraCustomerPointModel
	KillaraCustomerTokenModel              *KillaraCustomerTokenModel
	KillaraCustomerTransactionModel        *KillaraCustomerTransactionModel
	KillaraCustomerWithdrawModel           *KillaraCustomerWithdrawModel
	KillaraFundModel                       *KillaraFundModel
	KillaraFundAchievementModel            *KillaraFundAchievementModel
	KillaraFundCategoryModel               *KillaraFundCategoryModel
	KillaraFundNetModel                    *KillaraFundNetModel
	KillaraHelpModel                       *KillaraHelpModel
	KillaraHelpCategoryModel               *KillaraHelpCategoryModel
	KillaraHostingDayModel                 *KillaraHostingDayModel
	KillaraHostingMagnificationModel       *KillaraHostingMagnificationModel
	KillaraHostingStocksModel              *KillaraHostingStocksModel
	KillaraHundsunFundModel                *KillaraHundsunFundModel
	KillaraInfoModel                       *KillaraInfoModel
	KillaraInfoCategoryModel               *KillaraInfoCategoryModel
	KillaraInformationTermModel            *KillaraInformationTermModel
	KillaraInternationalModel              *KillaraInternationalModel
	KillaraIpoModel                        *KillaraIpoModel
	KillaraIpoQtyModel                     *KillaraIpoQtyModel
	KillaraIpoRatioModel                   *KillaraIpoRatioModel
	KillaraSettingModel                    *KillaraSettingModel
	KillaraStockModel                      *KillaraStockModel
	KillaraStockLocalModel                 *KillaraStockLocalModel
	KillaraStockLocalHistoryModel          *KillaraStockLocalHistoryModel
	KillaraStockTimeModel                  *KillaraStockTimeModel
	KillaraUserModel                       *KillaraUserModel
	KillaraUserGroupModel                  *KillaraUserGroupModel
	KillaraUserLoginHistoryModel           *KillaraUserLoginHistoryModel
	KillaraUserTokenModel                  *KillaraUserTokenModel
}

// killara_ad_app
type KillaraAdApp struct {
	AppId       *uint64    `db:"app_id" gorm:"column:app_id;primary_key;auto_increment:true;" json:"app_id" form:"app_id"` //
	Name        *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                         //
	Type        *uint64    `db:"type" gorm:"column:type;" json:"type" form:"type"`                                         // 点击响应类型，0为无，1为APP，2为小程序，3为网页
	XcxPath     *string    `db:"xcx_path" gorm:"column:xcx_path;" json:"xcx_path" form:"xcx_path"`                         // 小程序页面路径
	WebLink     *string    `db:"web_link" gorm:"column:web_link;" json:"web_link" form:"web_link"`                         // 网页链接
	AndroidPath *string    `db:"android_path" gorm:"column:android_path;" json:"android_path" form:"android_path"`         // 跳转安卓APP页面
	IosPath     *string    `db:"ios_path" gorm:"column:ios_path;" json:"ios_path" form:"ios_path"`                         // 跳转苹果APP页面
	PathIndex   *uint64    `db:"path_index" gorm:"column:path_index;" json:"path_index" form:"path_index"`                 // 路径APP页面，1为基金，2为新股，3为国配
	Image       *string    `db:"image" gorm:"column:image;" json:"image" form:"image"`                                     //
	StartDate   *time.Time `db:"start_date" gorm:"column:start_date;" json:"start_date" form:"start_date"`                 //
	EndDate     *time.Time `db:"end_date" gorm:"column:end_date;" json:"end_date" form:"end_date"`                         //
	SortOrder   *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                 //
	InsertDate  *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`             //
	ModifyDate  *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`             //
}

func (tstru *KillaraAdApp) TableName() string {
	return "killara_ad_app"
}

// killara_ad_launch
type KillaraAdLaunch struct {
	LaunchId           *uint64    `db:"launch_id" gorm:"column:launch_id;primary_key;auto_increment:true;" json:"launch_id" form:"launch_id"`                 //
	Name               *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                     //
	Type               *uint64    `db:"type" gorm:"column:type;" json:"type" form:"type"`                                                                     // 点击响应类型，0为无，1为APP，2为小程序，3为网页
	XcxPath            *string    `db:"xcx_path" gorm:"column:xcx_path;" json:"xcx_path" form:"xcx_path"`                                                     // 小程序页面路径
	WebLink            *string    `db:"web_link" gorm:"column:web_link;" json:"web_link" form:"web_link"`                                                     // 网页链接
	AndroidPath        *string    `db:"android_path" gorm:"column:android_path;" json:"android_path" form:"android_path"`                                     // 跳转安卓APP页面
	IosPath            *string    `db:"ios_path" gorm:"column:ios_path;" json:"ios_path" form:"ios_path"`                                                     // 跳转苹果APP页面
	PathIndex          *uint64    `db:"path_index" gorm:"column:path_index;" json:"path_index" form:"path_index"`                                             // 路径APP页面，1为基金，2为新股，3为国配
	AndroidImage       *string    `db:"android_image" gorm:"column:android_image;" json:"android_image" form:"android_image"`                                 // 安卓图片路径
	IosImage           *string    `db:"ios_image" gorm:"column:ios_image;" json:"ios_image" form:"ios_image"`                                                 // 苹果普屏图片路径
	IosFullScreenImage *string    `db:"ios_full_screen_image" gorm:"column:ios_full_screen_image;" json:"ios_full_screen_image" form:"ios_full_screen_image"` // 苹果全面屏图片路径
	StartDate          *time.Time `db:"start_date" gorm:"column:start_date;" json:"start_date" form:"start_date"`                                             //
	EndDate            *time.Time `db:"end_date" gorm:"column:end_date;" json:"end_date" form:"end_date"`                                                     //
	SortOrder          *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                                             //
	InsertDate         *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                         //
	ModifyDate         *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                         //
}

func (tstru *KillaraAdLaunch) TableName() string {
	return "killara_ad_launch"
}

// killara_ad_pc
type KillaraAdPc struct {
	PcId       *uint64    `db:"pc_id" gorm:"column:pc_id;primary_key;auto_increment:true;" json:"pc_id" form:"pc_id"` //
	Name       *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                     //
	Link       *string    `db:"link" gorm:"column:link;" json:"link" form:"link"`                                     // 网页链接
	Image      *string    `db:"image" gorm:"column:image;" json:"image" form:"image"`                                 //
	StartDate  *time.Time `db:"start_date" gorm:"column:start_date;" json:"start_date" form:"start_date"`             //
	EndDate    *time.Time `db:"end_date" gorm:"column:end_date;" json:"end_date" form:"end_date"`                     //
	SortOrder  *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`             //
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`         //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`         //
}

func (tstru *KillaraAdPc) TableName() string {
	return "killara_ad_pc"
}

// killara_ad_popup
type KillaraAdPopup struct {
	PopupId     *uint64    `db:"popup_id" gorm:"column:popup_id;primary_key;auto_increment:true;" json:"popup_id" form:"popup_id"` //
	Name        *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                 //
	Type        *uint64    `db:"type" gorm:"column:type;" json:"type" form:"type"`                                                 // 点击响应类型，0为无，1为APP，2为小程序，3为网页
	XcxPath     *string    `db:"xcx_path" gorm:"column:xcx_path;" json:"xcx_path" form:"xcx_path"`                                 // 小程序页面路径
	WebLink     *string    `db:"web_link" gorm:"column:web_link;" json:"web_link" form:"web_link"`                                 // 网页链接
	AndroidPath *string    `db:"android_path" gorm:"column:android_path;" json:"android_path" form:"android_path"`                 // 跳转安卓APP页面
	IosPath     *string    `db:"ios_path" gorm:"column:ios_path;" json:"ios_path" form:"ios_path"`                                 // 跳转苹果APP页面
	PathIndex   *uint64    `db:"path_index" gorm:"column:path_index;" json:"path_index" form:"path_index"`                         // 路径APP页面，1为基金，2为新股，3为国配
	Image       *string    `db:"image" gorm:"column:image;" json:"image" form:"image"`                                             //
	StartDate   *time.Time `db:"start_date" gorm:"column:start_date;" json:"start_date" form:"start_date"`                         //
	EndDate     *time.Time `db:"end_date" gorm:"column:end_date;" json:"end_date" form:"end_date"`                                 //
	SortOrder   *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                         //
	InsertDate  *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                     //
	ModifyDate  *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                     //
}

func (tstru *KillaraAdPopup) TableName() string {
	return "killara_ad_popup"
}

// killara_ad_xcx
type KillaraAdXcx struct {
	XcxId      *uint64    `db:"xcx_id" gorm:"column:xcx_id;primary_key;auto_increment:true;" json:"xcx_id" form:"xcx_id"` //
	Name       *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                         //
	Path       *string    `db:"path" gorm:"column:path;" json:"path" form:"path"`                                         // 跳转页面路径
	Image      *string    `db:"image" gorm:"column:image;" json:"image" form:"image"`                                     //
	StartDate  *time.Time `db:"start_date" gorm:"column:start_date;" json:"start_date" form:"start_date"`                 //
	EndDate    *time.Time `db:"end_date" gorm:"column:end_date;" json:"end_date" form:"end_date"`                         //
	SortOrder  *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                 //
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`             //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`             //
}

func (tstru *KillaraAdXcx) TableName() string {
	return "killara_ad_xcx"
}

// killara_catalog_android
type KillaraCatalogAndroid struct {
	AndroidId   *uint64    `db:"android_id" gorm:"column:android_id;primary_key;auto_increment:true;" json:"android_id" form:"android_id"` //
	Type        *string    `db:"type" gorm:"column:type;" json:"type" form:"type"`                                                         // android安卓，ios=苹果
	Name        *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                         //
	Version     *string    `db:"version" gorm:"column:version;" json:"version" form:"version"`                                             // 版本号
	Description *string    `db:"description" gorm:"column:description;" json:"description" form:"description"`                             // 更新描述
	FileName    *string    `db:"file_name" gorm:"column:file_name;" json:"file_name" form:"file_name"`                                     // 文件名
	File        *string    `db:"file" gorm:"column:file;" json:"file" form:"file"`                                                         // 文件路径
	Download    *int64     `db:"download" gorm:"column:download;" json:"download" form:"download"`                                         // 下载次数
	Status      *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                 //
	ForceUpdate *uint64    `db:"force_update" gorm:"column:force_update;" json:"force_update" form:"force_update"`                         // 需要强制更新，1为是，2为否
	InsertDate  *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                             //
	ModifyDate  *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                             //
}

func (tstru *KillaraCatalogAndroid) TableName() string {
	return "killara_catalog_android"
}

// killara_catalog_bank
type KillaraCatalogBank struct {
	BankId     *uint64    `db:"bank_id" gorm:"column:bank_id;primary_key;auto_increment:true;" json:"bank_id" form:"bank_id"` //
	Name       *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                             //
	Image      *string    `db:"image" gorm:"column:image;" json:"image" form:"image"`                                         //
	Status     *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                     //
	SortOrder  *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                     //
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                 //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                 //
}

func (tstru *KillaraCatalogBank) TableName() string {
	return "killara_catalog_bank"
}

// killara_catalog_country
type KillaraCatalogCountry struct {
	CountryId  *uint64    `db:"country_id" gorm:"column:country_id;primary_key;auto_increment:true;" json:"country_id" form:"country_id"` //
	Code       *string    `db:"code" gorm:"column:code;" json:"code" form:"code"`                                                         //
	Name       *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                         //
	Status     *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                 //
	SortOrder  *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                                 //
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                             //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                             //
}

func (tstru *KillaraCatalogCountry) TableName() string {
	return "killara_catalog_country"
}

// killara_catalog_currency
type KillaraCatalogCurrency struct {
	CurrencyId   *uint64    `db:"currency_id" gorm:"column:currency_id;primary_key;auto_increment:true;" json:"currency_id" form:"currency_id"` //
	Name         *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                             //
	Symbol       *string    `db:"symbol" gorm:"column:symbol;" json:"symbol" form:"symbol"`                                                     //
	IsExchange   *uint64    `db:"is_exchange" gorm:"column:is_exchange;" json:"is_exchange" form:"is_exchange"`                                 // 是否可以兑换，1：是；2：否
	ExchangeRate *float64   `db:"exchange_rate" gorm:"column:exchange_rate;" json:"exchange_rate" form:"exchange_rate"`                         //
	Rates        *string    `db:"rates" gorm:"column:rates;" json:"rates" form:"rates"`                                                         // 货币兑换汇率
	MaxDeposit   *float64   `db:"max_deposit" gorm:"column:max_deposit;" json:"max_deposit" form:"max_deposit"`                                 // 最大入金数
	MinDeposit   *float64   `db:"min_deposit" gorm:"column:min_deposit;" json:"min_deposit" form:"min_deposit"`                                 // 最小出金数
	MaxWithdraw  *float64   `db:"max_withdraw" gorm:"column:max_withdraw;" json:"max_withdraw" form:"max_withdraw"`                             // 最大出金数
	MinWithdraw  *float64   `db:"min_withdraw" gorm:"column:min_withdraw;" json:"min_withdraw" form:"min_withdraw"`                             // 最小出金数
	Status       *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                     //
	SortOrder    *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                                     //
	InsertDate   *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                 //
	ModifyDate   *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                 //
}

func (tstru *KillaraCatalogCurrency) TableName() string {
	return "killara_catalog_currency"
}

// killara_catalog_export
type KillaraCatalogExport struct {
	ExportId   *uint64    `db:"export_id" gorm:"column:export_id;primary_key;auto_increment:true;" json:"export_id" form:"export_id"` //
	Function   *uint64    `db:"function" gorm:"column:function;" json:"function" form:"function"`                                     // 1为A仓订单，2为交易记录，3为持仓列表，4为新股认购，5为国配申购，6为基金申购，7为会员入金，8为会员出金，9为佣金列表
	Filter     *string    `db:"filter" gorm:"column:filter;" json:"filter" form:"filter"`                                             //
	File       *string    `db:"file" gorm:"column:file;" json:"file" form:"file"`                                                     // 文件路径
	Status     *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                             // 1为待处理，2为处理中，3为已完成
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                         //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                         //
}

func (tstru *KillaraCatalogExport) TableName() string {
	return "killara_catalog_export"
}

// killara_catalog_file
type KillaraCatalogFile struct {
	FileId      *uint64    `db:"file_id" gorm:"column:file_id;primary_key;auto_increment:true;" json:"file_id" form:"file_id"` //
	Name        *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                             //
	Description *string    `db:"description" gorm:"column:description;" json:"description" form:"description"`                 //
	FileName    *string    `db:"file_name" gorm:"column:file_name;" json:"file_name" form:"file_name"`                         //
	File        *string    `db:"file" gorm:"column:file;" json:"file" form:"file"`                                             //
	InsertDate  *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                 //
	ModifyDate  *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                 //
}

func (tstru *KillaraCatalogFile) TableName() string {
	return "killara_catalog_file"
}

// killara_catalog_holiday
type KillaraCatalogHoliday struct {
	HolidayId  *uint64    `db:"holiday_id" gorm:"column:holiday_id;primary_key;auto_increment:true;" json:"holiday_id" form:"holiday_id"` //
	Name       *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                         //
	Market     *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                 // 所属证券市场，HK为港股市场，US为美股市场
	Year       *string    `db:"year" gorm:"column:year;" json:"year" form:"year"`                                                         // 所属年份
	Date       *time.Time `db:"date" gorm:"column:date;" json:"date" form:"date"`                                                         // 日期
	Status     *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                 //
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                             //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                             //
}

func (tstru *KillaraCatalogHoliday) TableName() string {
	return "killara_catalog_holiday"
}

// killara_catalog_invite 邀请注册
type KillaraCatalogInvite struct {
	InviteId    *uint64    `db:"invite_id" gorm:"column:invite_id;primary_key;auto_increment:true;" json:"invite_id" form:"invite_id"` //
	Code        *string    `db:"code" gorm:"column:code;" json:"code" form:"code"`                                                     // 邀请码
	CountryCode *string    `db:"country_code" gorm:"column:country_code;" json:"country_code" form:"country_code"`                     // 国家编号
	Telephone   *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                 //
	SmsCode     *string    `db:"sms_code" gorm:"column:sms_code;" json:"sms_code" form:"sms_code"`                                     //
	Email       *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                 //
	EmailCode   *string    `db:"email_code" gorm:"column:email_code;" json:"email_code" form:"email_code"`                             //
	SendTime    *int64     `db:"send_time" gorm:"column:send_time;" json:"send_time" form:"send_time"`                                 // 验证码发送时间戳
	ExpireTime  *int64     `db:"expire_time" gorm:"column:expire_time;" json:"expire_time" form:"expire_time"`                         // 有效期（秒）
	Status      *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                             //
	InsertDate  *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                         //
	ModifyDate  *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                         //
}

func (tstru *KillaraCatalogInvite) TableName() string {
	return "killara_catalog_invite"
}

// killara_catalog_language
type KillaraCatalogLanguage struct {
	LanguageId *uint64    `db:"language_id" gorm:"column:language_id;primary_key;auto_increment:true;" json:"language_id" form:"language_id"` //
	Name       *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                             //
	Code       *string    `db:"code" gorm:"column:code;" json:"code" form:"code"`                                                             //
	Status     *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                     //
	SortOrder  *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                                     //
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                 //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                 //
}

func (tstru *KillaraCatalogLanguage) TableName() string {
	return "killara_catalog_language"
}

// killara_catalog_merchant
type KillaraCatalogMerchant struct {
	MerchantId       *uint64    `db:"merchant_id" gorm:"column:merchant_id;primary_key;auto_increment:true;" json:"merchant_id" form:"merchant_id"` //
	CurrencyId       *uint64    `db:"currency_id" gorm:"column:currency_id;" json:"currency_id" form:"currency_id"`                                 //
	CurrencyType     *int64     `db:"currency_type" gorm:"column:currency_type;" json:"currency_type" form:"currency_type"`                         // 货币所属类型。1：法定货币；2：数字货币
	ShowName         *string    `db:"show_name" gorm:"column:show_name;" json:"show_name" form:"show_name"`                                         //
	Maintenance      *uint64    `db:"maintenance" gorm:"column:maintenance;" json:"maintenance" form:"maintenance"`                                 // 是否显示维护中，1为是，2为否
	Status           *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                     //
	Min              *string    `db:"min" gorm:"column:min;" json:"min" form:"min"`                                                                 // 最低入金
	Max              *string    `db:"max" gorm:"column:max;" json:"max" form:"max"`                                                                 // 最高入金
	Description      *string    `db:"description" gorm:"column:description;" json:"description" form:"description"`                                 // 支付转账说明
	DcAddress        *string    `db:"dc_address" gorm:"column:dc_address;" json:"dc_address" form:"dc_address"`                                     // 数字货币二维码收款地址
	DcQrcode         *string    `db:"dc_qrcode" gorm:"column:dc_qrcode;" json:"dc_qrcode" form:"dc_qrcode"`                                         // 数字货币收款地址
	BtCountry        *string    `db:"bt_country" gorm:"column:bt_country;" json:"bt_country" form:"bt_country"`                                     // 转账国家
	BtBankName       *string    `db:"bt_bank_name" gorm:"column:bt_bank_name;" json:"bt_bank_name" form:"bt_bank_name"`                             // 转账银行名称
	BtBankAddress    *string    `db:"bt_bank_address" gorm:"column:bt_bank_address;" json:"bt_bank_address" form:"bt_bank_address"`                 // 转账银行地址
	BtAccountName    *string    `db:"bt_account_name" gorm:"column:bt_account_name;" json:"bt_account_name" form:"bt_account_name"`                 // 转账银行账户名称
	BtAccountNo      *string    `db:"bt_account_no" gorm:"column:bt_account_no;" json:"bt_account_no" form:"bt_account_no"`                         // 转账银行账户号码
	BtAccountAddress *string    `db:"bt_account_address" gorm:"column:bt_account_address;" json:"bt_account_address" form:"bt_account_address"`     // 转账银行账户地址
	BtSwiftCode      *string    `db:"bt_swift_code" gorm:"column:bt_swift_code;" json:"bt_swift_code" form:"bt_swift_code"`                         // SWIFT CODE
	SortOrder        *int64     `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                                     //
	InsertDate       *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                 //
	ModifyDate       *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                 //
}

func (tstru *KillaraCatalogMerchant) TableName() string {
	return "killara_catalog_merchant"
}

// killara_catalog_notice 系统通知
type KillaraCatalogNotice struct {
	NoticeId    *uint64    `db:"notice_id" gorm:"column:notice_id;primary_key;auto_increment:true;" json:"notice_id" form:"notice_id"` //
	Name        *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                     //
	Description *string    `db:"description" gorm:"column:description;" json:"description" form:"description"`                         //
	Status      *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                             //
	SortOrder   *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                             //
	InsertDate  *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                         //
	ModifyDate  *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                         //
}

func (tstru *KillaraCatalogNotice) TableName() string {
	return "killara_catalog_notice"
}

// killara_catalog_servicefee
type KillaraCatalogServicefee struct {
	ServicefeeId                   *uint64    `db:"servicefee_id" gorm:"column:servicefee_id;primary_key;auto_increment:true;" json:"servicefee_id" form:"servicefee_id"`                                                 //
	Name                           *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                                                     // 名称
	IpoCashServiceFee              *float64   `db:"ipo_cash_service_fee" gorm:"column:ipo_cash_service_fee;" json:"ipo_cash_service_fee" form:"ipo_cash_service_fee"`                                                     // 手续费（现金）
	IpoCashServiceFeeRefund        *uint64    `db:"ipo_cash_service_fee_refund" gorm:"column:ipo_cash_service_fee_refund;" json:"ipo_cash_service_fee_refund" form:"ipo_cash_service_fee_refund"`                         // 撤单退还，1：是；2：否
	IpoFin5ServiceFee              *float64   `db:"ipo_fin_5_service_fee" gorm:"column:ipo_fin_5_service_fee;" json:"ipo_fin_5_service_fee" form:"ipo_fin_5_service_fee"`                                                 // 融资申购5倍手续费
	IpoFin5ServiceFeeRefund        *uint64    `db:"ipo_fin_5_service_fee_refund" gorm:"column:ipo_fin_5_service_fee_refund;" json:"ipo_fin_5_service_fee_refund" form:"ipo_fin_5_service_fee_refund"`                     // 撤单退还，1：是；2：否
	IpoFin10ServiceFee             *float64   `db:"ipo_fin_10_service_fee" gorm:"column:ipo_fin_10_service_fee;" json:"ipo_fin_10_service_fee" form:"ipo_fin_10_service_fee"`                                             // 手续费（融资10倍）
	IpoFin10ServiceFeeRefund       *uint64    `db:"ipo_fin_10_service_fee_refund" gorm:"column:ipo_fin_10_service_fee_refund;" json:"ipo_fin_10_service_fee_refund" form:"ipo_fin_10_service_fee_refund"`                 // 撤单退还，1：是；2：否
	IpoFin20ServiceFee             *float64   `db:"ipo_fin_20_service_fee" gorm:"column:ipo_fin_20_service_fee;" json:"ipo_fin_20_service_fee" form:"ipo_fin_20_service_fee"`                                             // 手续费（融资20倍）
	IpoFin20ServiceFeeRefund       *uint64    `db:"ipo_fin_20_service_fee_refund" gorm:"column:ipo_fin_20_service_fee_refund;" json:"ipo_fin_20_service_fee_refund" form:"ipo_fin_20_service_fee_refund"`                 // 撤单退还，1：是；2：否
	IpoFin33ServiceFee             *float64   `db:"ipo_fin_33_service_fee" gorm:"column:ipo_fin_33_service_fee;" json:"ipo_fin_33_service_fee" form:"ipo_fin_33_service_fee"`                                             // 手续费（融资33倍）
	IpoFin33ServiceFeeRefund       *uint64    `db:"ipo_fin_33_service_fee_refund" gorm:"column:ipo_fin_33_service_fee_refund;" json:"ipo_fin_33_service_fee_refund" form:"ipo_fin_33_service_fee_refund"`                 // 撤单退还，1：是；2：否
	IpoWinServiceFeeRefund         *uint64    `db:"ipo_win_service_fee_refund" gorm:"column:ipo_win_service_fee_refund;" json:"ipo_win_service_fee_refund" form:"ipo_win_service_fee_refund"`                             // 撤单退还，1：是；2：否
	TransactionBuyFee              *float64   `db:"transaction_buy_fee" gorm:"column:transaction_buy_fee;" json:"transaction_buy_fee" form:"transaction_buy_fee"`                                                         // 买入手续费率
	TransactionBuyMinimum          *float64   `db:"transaction_buy_minimum" gorm:"column:transaction_buy_minimum;" json:"transaction_buy_minimum" form:"transaction_buy_minimum"`                                         // 买入最低收取
	TransactionSellFee             *float64   `db:"transaction_sell_fee" gorm:"column:transaction_sell_fee;" json:"transaction_sell_fee" form:"transaction_sell_fee"`                                                     // 卖出手续费率
	TransactionSellMinimum         *float64   `db:"transaction_sell_minimum" gorm:"column:transaction_sell_minimum;" json:"transaction_sell_minimum" form:"transaction_sell_minimum"`                                     // 卖出最低收取
	IpoServiceFee                  *float64   `db:"ipo_service_fee" gorm:"column:ipo_service_fee;" json:"ipo_service_fee" form:"ipo_service_fee"`                                                                         // 新股申购交易费
	IpoServiceFeeRefund            *uint64    `db:"ipo_service_fee_refund" gorm:"column:ipo_service_fee_refund;" json:"ipo_service_fee_refund" form:"ipo_service_fee_refund"`                                             // 撤单退还，1：是；2：否
	IpoWinServiceFee               *float64   `db:"ipo_win_service_fee" gorm:"column:ipo_win_service_fee;" json:"ipo_win_service_fee" form:"ipo_win_service_fee"`                                                         // 新股中签手续费率
	IpoFinRate                     *float64   `db:"ipo_fin_rate" gorm:"column:ipo_fin_rate;" json:"ipo_fin_rate" form:"ipo_fin_rate"`                                                                                     // 新股融资申购年化费率
	HkServiceFee                   *float64   `db:"hk_service_fee" gorm:"column:hk_service_fee;" json:"hk_service_fee" form:"hk_service_fee"`                                                                             // 交易佣金
	HkServiceFeeMinimum            *float64   `db:"hk_service_fee_minimum" gorm:"column:hk_service_fee_minimum;" json:"hk_service_fee_minimum" form:"hk_service_fee_minimum"`                                             // 交易佣金最低收取
	HkServiceFeeRefund             *uint64    `db:"hk_service_fee_refund" gorm:"column:hk_service_fee_refund;" json:"hk_service_fee_refund" form:"hk_service_fee_refund"`                                                 // 撤单退还，1：是；2：否
	UsServiceFee                   *float64   `db:"us_service_fee" gorm:"column:us_service_fee;" json:"us_service_fee" form:"us_service_fee"`                                                                             // 交易佣金
	UsServiceFeeMinimum            *float64   `db:"us_service_fee_minimum" gorm:"column:us_service_fee_minimum;" json:"us_service_fee_minimum" form:"us_service_fee_minimum"`                                             // 交易佣金最低收费
	UsServiceFeeRefund             *int64     `db:"us_service_fee_refund" gorm:"column:us_service_fee_refund;" json:"us_service_fee_refund" form:"us_service_fee_refund"`                                                 // 撤单退还，1：是；2：否
	EtfServiceFee                  *float64   `db:"etf_service_fee" gorm:"column:etf_service_fee;" json:"etf_service_fee" form:"etf_service_fee"`                                                                         // 交易佣金
	EtfServiceFeeMinimum           *float64   `db:"etf_service_fee_minimum" gorm:"column:etf_service_fee_minimum;" json:"etf_service_fee_minimum" form:"etf_service_fee_minimum"`                                         // 交易佣金最低收取
	EtfServiceFeeRefund            *uint64    `db:"etf_service_fee_refund" gorm:"column:etf_service_fee_refund;" json:"etf_service_fee_refund" form:"etf_service_fee_refund"`                                             // 撤单退还，1：是；2：否
	FundServiceFee                 *float64   `db:"fund_service_fee" gorm:"column:fund_service_fee;" json:"fund_service_fee" form:"fund_service_fee"`                                                                     // 基金申购费率
	FundManageFee                  *float64   `db:"fund_manage_fee" gorm:"column:fund_manage_fee;" json:"fund_manage_fee" form:"fund_manage_fee"`                                                                         // 基金管理费率
	FundProfitFee                  *float64   `db:"fund_profit_fee" gorm:"column:fund_profit_fee;" json:"fund_profit_fee" form:"fund_profit_fee"`                                                                         // 超额管理费率
	InternationalServiceFee        *float64   `db:"international_service_fee" gorm:"column:international_service_fee;" json:"international_service_fee" form:"international_service_fee"`                                 // 国配销售服务费率
	InternationalServiceFeeMinimum *float64   `db:"international_service_fee_minimum" gorm:"column:international_service_fee_minimum;" json:"international_service_fee_minimum" form:"international_service_fee_minimum"` // 交易佣金最低收取
	InternationalServiceFeeRefund  *uint64    `db:"international_service_fee_refund" gorm:"column:international_service_fee_refund;" json:"international_service_fee_refund" form:"international_service_fee_refund"`     // 撤单退还，1：是；2：否
	IpoFinBalanceLimit             *float64   `db:"ipo_fin_balance_limit" gorm:"column:ipo_fin_balance_limit;" json:"ipo_fin_balance_limit" form:"ipo_fin_balance_limit"`                                                 // 新股融资申购余额限制
	IpoUsCashServiceFee            *float64   `db:"ipo_us_cash_service_fee" gorm:"column:ipo_us_cash_service_fee;" json:"ipo_us_cash_service_fee" form:"ipo_us_cash_service_fee"`                                         //
	IpoUsCashServiceFeeRefund      *uint64    `db:"ipo_us_cash_service_fee_refund" gorm:"column:ipo_us_cash_service_fee_refund;" json:"ipo_us_cash_service_fee_refund" form:"ipo_us_cash_service_fee_refund"`             //
	InsertDate                     *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                                         //
	ModifyDate                     *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                                                         //
}

func (tstru *KillaraCatalogServicefee) TableName() string {
	return "killara_catalog_servicefee"
}

// killara_commission
type KillaraCommission struct {
	CommissionId            *uint64    `db:"commission_id" gorm:"column:commission_id;primary_key;auto_increment:true;" json:"commission_id" form:"commission_id"`                 //
	Name                    *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                     // 名称
	StockServiceFee         *float64   `db:"stock_service_fee" gorm:"column:stock_service_fee;" json:"stock_service_fee" form:"stock_service_fee"`                                 // 股票买卖手续费返佣
	StockProfit             *float64   `db:"stock_profit" gorm:"column:stock_profit;" json:"stock_profit" form:"stock_profit"`                                                     // 股票盈利返佣
	FundServiceFee          *float64   `db:"fund_service_fee" gorm:"column:fund_service_fee;" json:"fund_service_fee" form:"fund_service_fee"`                                     // 基金认购手续费返佣
	FundManageFee           *float64   `db:"fund_manage_fee" gorm:"column:fund_manage_fee;" json:"fund_manage_fee" form:"fund_manage_fee"`                                         // 基金管理费返佣
	FundFinInterest         *float64   `db:"fund_fin_interest" gorm:"column:fund_fin_interest;" json:"fund_fin_interest" form:"fund_fin_interest"`                                 // 基金融资利息返佣
	FundProfit              *float64   `db:"fund_profit" gorm:"column:fund_profit;" json:"fund_profit" form:"fund_profit"`                                                         // 基金盈利返佣
	IpoServiceFee           *float64   `db:"ipo_service_fee" gorm:"column:ipo_service_fee;" json:"ipo_service_fee" form:"ipo_service_fee"`                                         // 新股申购手续费返佣
	IpoWinServiceFee        *float64   `db:"ipo_win_service_fee" gorm:"column:ipo_win_service_fee;" json:"ipo_win_service_fee" form:"ipo_win_service_fee"`                         // 新股中签手续费返佣
	IpoFinInterest          *float64   `db:"ipo_fin_interest" gorm:"column:ipo_fin_interest;" json:"ipo_fin_interest" form:"ipo_fin_interest"`                                     // 新股融资利息返佣
	InternationalServiceFee *float64   `db:"international_service_fee" gorm:"column:international_service_fee;" json:"international_service_fee" form:"international_service_fee"` // 国配销售服务费
	InsertDate              *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                         //
	ModifyDate              *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                         //
}

func (tstru *KillaraCommission) TableName() string {
	return "killara_commission"
}

// killara_customer
type KillaraCustomer struct {
	CustomerId      *uint64    `db:"customer_id" gorm:"column:customer_id;primary_key;auto_increment:true;" json:"customer_id" form:"customer_id"` //
	Type            *uint64    `db:"type" gorm:"column:type;" json:"type" form:"type"`                                                             // 会员类别。1：普通会员，2：机构户
	Code            *string    `db:"code" gorm:"column:code;" json:"code" form:"code"`                                                             // 会员编号
	Salt            *string    `db:"salt" gorm:"column:salt;" json:"salt" form:"salt"`                                                             //
	Password        *string    `db:"password" gorm:"column:password;" json:"password" form:"password"`                                             //
	RandomPassword  *string    `db:"random_password" gorm:"column:random_password;" json:"random_password" form:"random_password"`                 // 后台随机登录密码
	Name            *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                             // 姓名
	Idcode          *string    `db:"idcode" gorm:"column:idcode;" json:"idcode" form:"idcode"`                                                     // 身份证
	Realname        *uint64    `db:"realname" gorm:"column:realname;" json:"realname" form:"realname"`                                             // 1为已实名，2为未实名
	RealnameDate    *time.Time `db:"realname_date" gorm:"column:realname_date;" json:"realname_date" form:"realname_date"`                         //
	Userface        *string    `db:"userface" gorm:"column:userface;" json:"userface" form:"userface"`                                             //
	Qrcode          *string    `db:"qrcode" gorm:"column:qrcode;" json:"qrcode" form:"qrcode"`                                                     //
	Nickname        *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                             //
	Email           *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                         // 邮箱
	EmailNotify     *string    `db:"email_notify" gorm:"column:email_notify;" json:"email_notify" form:"email_notify"`                             // 通知邮箱
	CountryCode     *string    `db:"country_code" gorm:"column:country_code;" json:"country_code" form:"country_code"`                             // 国家编号
	Telephone       *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                         // 手机
	Gender          *uint64    `db:"gender" gorm:"column:gender;" json:"gender" form:"gender"`                                                     // 1为男，2为女
	Year            *string    `db:"year" gorm:"column:year;" json:"year" form:"year"`                                                             // 出生年
	Month           *string    `db:"month" gorm:"column:month;" json:"month" form:"month"`                                                         // 出生月
	Day             *string    `db:"day" gorm:"column:day;" json:"day" form:"day"`                                                                 // 出生日
	IsMarriage      *int64     `db:"is_marriage" gorm:"column:is_marriage;" json:"is_marriage" form:"is_marriage"`                                 // 婚姻状况
	IdcodeFrontPic  *string    `db:"idcode_front_pic" gorm:"column:idcode_front_pic;" json:"idcode_front_pic" form:"idcode_front_pic"`             // 身份证人像照
	IdcodeBackPic   *string    `db:"idcode_back_pic" gorm:"column:idcode_back_pic;" json:"idcode_back_pic" form:"idcode_back_pic"`                 // 身份证国徽照
	BankId          *int64     `db:"bank_id" gorm:"column:bank_id;" json:"bank_id" form:"bank_id"`                                                 // 银行ID
	BankName        *string    `db:"bank_name" gorm:"column:bank_name;" json:"bank_name" form:"bank_name"`                                         // 开户银行
	BankBranch      *string    `db:"bank_branch" gorm:"column:bank_branch;" json:"bank_branch" form:"bank_branch"`                                 // 支行名称
	BankNumber      *string    `db:"bank_number" gorm:"column:bank_number;" json:"bank_number" form:"bank_number"`                                 // 银行账号
	BankFrontPic    *string    `db:"bank_front_pic" gorm:"column:bank_front_pic;" json:"bank_front_pic" form:"bank_front_pic"`                     // 银行卡正面照
	SelfDesc        *string    `db:"self_desc" gorm:"column:self_desc;" json:"self_desc" form:"self_desc"`                                         // 自我介绍
	HkBalance       *float64   `db:"hk_balance" gorm:"column:hk_balance;" json:"hk_balance" form:"hk_balance"`                                     // 港股证券账户余额
	UsBalance       *float64   `db:"us_balance" gorm:"column:us_balance;" json:"us_balance" form:"us_balance"`                                     // 美股证券账户余额
	UsdcBalance     *float64   `db:"usdc_balance" gorm:"column:usdc_balance;" json:"usdc_balance" form:"usdc_balance"`                             // USDC账户余额
	UsdtBalance     *float64   `db:"usdt_balance" gorm:"column:usdt_balance;" json:"usdt_balance" form:"usdt_balance"`                             // USDT余额
	Commission      *float64   `db:"commission" gorm:"column:commission;" json:"commission" form:"commission"`                                     // 佣金
	ServicefeeId    *uint64    `db:"servicefee_id" gorm:"column:servicefee_id;" json:"servicefee_id" form:"servicefee_id"`                         // 设定的收费表
	CommissionId    *uint64    `db:"commission_id" gorm:"column:commission_id;" json:"commission_id" form:"commission_id"`                         // 设定的返佣表
	SubServicefeeId *uint64    `db:"sub_servicefee_id" gorm:"column:sub_servicefee_id;" json:"sub_servicefee_id" form:"sub_servicefee_id"`         // 下级使用收费表
	SubCommissionId *uint64    `db:"sub_commission_id" gorm:"column:sub_commission_id;" json:"sub_commission_id" form:"sub_commission_id"`         // 下级使用佣金表
	SubCodePrefix   *string    `db:"sub_code_prefix" gorm:"column:sub_code_prefix;" json:"sub_code_prefix" form:"sub_code_prefix"`                 // 下线会员编号起始号码
	DisableA        *uint64    `db:"disable_a" gorm:"column:disable_a;" json:"disable_a" form:"disable_a"`                                         // 禁止A仓交易，1：是；2：否
	Status          *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                     // 1为启用，2为不启用
	ParentId        *int64     `db:"parent_id" gorm:"column:parent_id;" json:"parent_id" form:"parent_id"`                                         //
	JpushId         *string    `db:"jpush_id" gorm:"column:jpush_id;" json:"jpush_id" form:"jpush_id"`                                             //
	FileLaunderPath *string    `db:"file_launder_path" gorm:"column:file_launder_path;" json:"file_launder_path" form:"file_launder_path"`         // 机构户洗钱文件路径
	FileLaunderName *string    `db:"file_launder_name" gorm:"column:file_launder_name;" json:"file_launder_name" form:"file_launder_name"`         // 机构户洗钱文件名称
	FileFinancePath *string    `db:"file_finance_path" gorm:"column:file_finance_path;" json:"file_finance_path" form:"file_finance_path"`         // 机构户财务报表文件路径
	FileFinanceName *string    `db:"file_finance_name" gorm:"column:file_finance_name;" json:"file_finance_name" form:"file_finance_name"`         // 机构户财务报表文件名称
	FileCheckPath   *string    `db:"file_check_path" gorm:"column:file_check_path;" json:"file_check_path" form:"file_check_path"`                 // 机构户核对清单文件路径
	FileCheckName   *string    `db:"file_check_name" gorm:"column:file_check_name;" json:"file_check_name" form:"file_check_name"`                 // 机构户核对清单文件名称
	InsertDate      *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                 //
	Ip              *string    `db:"ip" gorm:"column:ip;" json:"ip" form:"ip"`                                                                     //
	AppMarket       *uint64    `db:"app_market" gorm:"column:app_market;" json:"app_market" form:"app_market"`                                     // APP下载来源
}

func (tstru *KillaraCustomer) TableName() string {
	return "killara_customer"
}

// killara_customer_account
type KillaraCustomerAccount struct {
	CustomerAccountId *uint64    `db:"customer_account_id" gorm:"column:customer_account_id;primary_key;auto_increment:true;" json:"customer_account_id" form:"customer_account_id"` //
	CustomerId        *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                           //
	Telephone         *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                                         // 手机
	Email             *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                                                         // 邮箱
	Remarks           *string    `db:"remarks" gorm:"column:remarks;" json:"remarks" form:"remarks"`                                                                                 //
	EmailCode         *string    `db:"email_code" gorm:"column:email_code;" json:"email_code" form:"email_code"`                                                                     //
	UserinfoData      *string    `db:"userinfo_data" gorm:"column:userinfo_data;" json:"userinfo_data" form:"userinfo_data"`                                                         // 基本信息
	ContactData       *string    `db:"contact_data" gorm:"column:contact_data;" json:"contact_data" form:"contact_data"`                                                             // 联系信息
	WorkData          *string    `db:"work_data" gorm:"column:work_data;" json:"work_data" form:"work_data"`                                                                         // 工作信息
	FinanceData       *string    `db:"finance_data" gorm:"column:finance_data;" json:"finance_data" form:"finance_data"`                                                             // 财务状况
	InvetData         *string    `db:"invet_data" gorm:"column:invet_data;" json:"invet_data" form:"invet_data"`                                                                     // 投资经验
	W8benData         *string    `db:"w8ben_data" gorm:"column:w8ben_data;" json:"w8ben_data" form:"w8ben_data"`                                                                     // 税务证明
	SignData          *string    `db:"sign_data" gorm:"column:sign_data;" json:"sign_data" form:"sign_data"`                                                                         // 签名数据
	BankType          *int64     `db:"bank_type" gorm:"column:bank_type;" json:"bank_type" form:"bank_type"`                                                                         // 银行卡类别，1：国内；2：海外；3：USDT
	BankData          *string    `db:"bank_data" gorm:"column:bank_data;" json:"bank_data" form:"bank_data"`                                                                         // 银行卡数据
	AbroadData        *string    `db:"abroad_data" gorm:"column:abroad_data;" json:"abroad_data" form:"abroad_data"`                                                                 // 海外银行卡信息
	UsdtData          *string    `db:"usdt_data" gorm:"column:usdt_data;" json:"usdt_data" form:"usdt_data"`                                                                         // USDT信息
	Status            *int64     `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                                     // 1：资料录入中；2：待审核；3：审核不通过；4：审核通过
	InsertDate        *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                 //
	ModifyDate        *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                                 //
}

func (tstru *KillaraCustomerAccount) TableName() string {
	return "killara_customer_account"
}

// killara_customer_balance
type KillaraCustomerBalance struct {
	CustomerBalanceId       *uint64    `db:"customer_balance_id" gorm:"column:customer_balance_id;primary_key;auto_increment:true;" json:"customer_balance_id" form:"customer_balance_id"` //
	CurrencyId              *uint64    `db:"currency_id" gorm:"column:currency_id;" json:"currency_id" form:"currency_id"`                                                                 //
	Symbol                  *string    `db:"symbol" gorm:"column:symbol;" json:"symbol" form:"symbol"`                                                                                     //
	CustomerId              *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                           //
	Nickname                *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                             // 会员昵称
	Telephone               *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                                         // 会员手机
	Email                   *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                                                         // 会员邮箱
	Name                    *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                             // 会员姓名
	Market                  *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                                     // 所属证券市场，HK为港股市场，US为美股市场
	StockSymbol             *string    `db:"stock_symbol" gorm:"column:stock_symbol;" json:"stock_symbol" form:"stock_symbol"`                                                             // 股票代码
	StockName               *string    `db:"stock_name" gorm:"column:stock_name;" json:"stock_name" form:"stock_name"`                                                                     // 股票名称
	CustomerTransactionId   *uint64    `db:"customer_transaction_id" gorm:"column:customer_transaction_id;" json:"customer_transaction_id" form:"customer_transaction_id"`                 // 交易流水ID
	CustomerIpoId           *uint64    `db:"customer_ipo_id" gorm:"column:customer_ipo_id;" json:"customer_ipo_id" form:"customer_ipo_id"`                                                 // 新股申购的流水ID
	CustomerInternationalId *uint64    `db:"customer_international_id" gorm:"column:customer_international_id;" json:"customer_international_id" form:"customer_international_id"`         // 国际配售的流水ID
	CustomerWithdrawId      *uint64    `db:"customer_withdraw_id" gorm:"column:customer_withdraw_id;" json:"customer_withdraw_id" form:"customer_withdraw_id"`                             // 出金记录ID
	CustomerDepositId       *uint64    `db:"customer_deposit_id" gorm:"column:customer_deposit_id;" json:"customer_deposit_id" form:"customer_deposit_id"`                                 // 入金记录ID
	CustomerFundId          *uint64    `db:"customer_fund_id" gorm:"column:customer_fund_id;" json:"customer_fund_id" form:"customer_fund_id"`                                             // 基金申购ID
	CustomerExchangeId      *uint64    `db:"customer_exchange_id" gorm:"column:customer_exchange_id;" json:"customer_exchange_id" form:"customer_exchange_id"`                             // 货币转换ID
	Role                    *uint64    `db:"role" gorm:"column:role;" json:"role" form:"role"`                                                                                             // 1为买入股票，2为买入手续费，3为卖出股票，4为卖出手续费，5为新股申购金额，6为新股申购融资利息，7为新股申购手续费，8为新股中签手续费，9为国配意向金，10为平台分成，11为出金，12为入金，13为基金申购金额，14为基金申购费，15为基金管理费，16为资金补扣，17为资金退还，18为基金获利金额，19为虚拟加金，20为手动入金，21为转移资金，22为推广佣金，23为基金超额管理费，24为货币兑换，25为配资投资本金，26为配资利息，27为虚拟入金
	Freeze                  *uint64    `db:"freeze" gorm:"column:freeze;" json:"freeze" form:"freeze"`                                                                                     // 是否为冻结资金，1为是，2为否
	CancelRefund            *uint64    `db:"cancel_refund" gorm:"column:cancel_refund;" json:"cancel_refund" form:"cancel_refund"`                                                         // 是否为取消退回相同的资金对冲，1为是，2为否
	Quantity                *float64   `db:"quantity" gorm:"column:quantity;" json:"quantity" form:"quantity"`                                                                             // 下单数量
	Price                   *float64   `db:"price" gorm:"column:price;" json:"price" form:"price"`                                                                                         // 下单价格
	Total                   *float64   `db:"total" gorm:"column:total;" json:"total" form:"total"`                                                                                         // 发生金额
	Type                    *uint64    `db:"type" gorm:"column:type;" json:"type" form:"type"`                                                                                             // 1为金额增加，2为金额减少
	Refund                  *uint64    `db:"refund" gorm:"column:refund;" json:"refund" form:"refund"`                                                                                     // 取消退回资金，1为是，2为否
	InsertDate              *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                 //
}

func (tstru *KillaraCustomerBalance) TableName() string {
	return "killara_customer_balance"
}

// killara_customer_commission
type KillaraCustomerCommission struct {
	CustomerCommissionId    *uint64    `db:"customer_commission_id" gorm:"column:customer_commission_id;primary_key;auto_increment:true;" json:"customer_commission_id" form:"customer_commission_id"` //
	CustomerId              *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                                       //
	FromCustomerId          *uint64    `db:"from_customer_id" gorm:"column:from_customer_id;" json:"from_customer_id" form:"from_customer_id"`                                                         //
	CustomerTransactionId   *uint64    `db:"customer_transaction_id" gorm:"column:customer_transaction_id;" json:"customer_transaction_id" form:"customer_transaction_id"`                             // 佣金关联的交易
	CustomerIpoId           *uint64    `db:"customer_ipo_id" gorm:"column:customer_ipo_id;" json:"customer_ipo_id" form:"customer_ipo_id"`                                                             // 佣金关联的新股交易
	CustomerInternationalId *uint64    `db:"customer_international_id" gorm:"column:customer_international_id;" json:"customer_international_id" form:"customer_international_id"`                     // 佣金关联的国配交易
	CustomerFundId          *uint64    `db:"customer_fund_id" gorm:"column:customer_fund_id;" json:"customer_fund_id" form:"customer_fund_id"`                                                         // 基金申购ID
	Amount                  *float64   `db:"amount" gorm:"column:amount;" json:"amount" form:"amount"`                                                                                                 // 金额
	CommissionRate          *string    `db:"commission_rate" gorm:"column:commission_rate;" json:"commission_rate" form:"commission_rate"`                                                             // 返佣率
	CurrencyId              *uint64    `db:"currency_id" gorm:"column:currency_id;" json:"currency_id" form:"currency_id"`                                                                             // 货币ID
	Symbol                  *string    `db:"symbol" gorm:"column:symbol;" json:"symbol" form:"symbol"`                                                                                                 // 货币符号
	Total                   *float64   `db:"total" gorm:"column:total;" json:"total" form:"total"`                                                                                                     // 返佣
	Settle                  *uint64    `db:"settle" gorm:"column:settle;" json:"settle" form:"settle"`                                                                                                 // 是否已结算，1为是，2为否
	Role                    *string    `db:"role" gorm:"column:role;" json:"role" form:"role"`                                                                                                         // 返佣类型，为关键字
	Market                  *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                                                 // 所属证券市场，HK为港股市场，US为美股市场
	StockSymbol             *string    `db:"stock_symbol" gorm:"column:stock_symbol;" json:"stock_symbol" form:"stock_symbol"`                                                                         // 股票代码
	StockName               *string    `db:"stock_name" gorm:"column:stock_name;" json:"stock_name" form:"stock_name"`                                                                                 // 股票名称
	FundName                *string    `db:"fund_name" gorm:"column:fund_name;" json:"fund_name" form:"fund_name"`                                                                                     // 基金名称
	FundCode                *string    `db:"fund_code" gorm:"column:fund_code;" json:"fund_code" form:"fund_code"`                                                                                     // 基金编号
	InsertDate              *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                             //
	ModifyDate              *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                                             //
}

func (tstru *KillaraCustomerCommission) TableName() string {
	return "killara_customer_commission"
}

// killara_customer_commission_withdraw
type KillaraCustomerCommissionWithdraw struct {
	CustomerCommissionWithdrawId *uint64    `db:"customer_commission_withdraw_id" gorm:"column:customer_commission_withdraw_id;primary_key;auto_increment:true;" json:"customer_commission_withdraw_id" form:"customer_commission_withdraw_id"` //
	CustomerId                   *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                                                                           //
	Nickname                     *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                                                                             // 昵称
	Telephone                    *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                                                                                         // 手机号码
	Name                         *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                                                                             // 姓名
	Total                        *float64   `db:"total" gorm:"column:total;" json:"total" form:"total"`                                                                                                                                         // 佣金提现金额
	Status                       *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                                                                                     // 状态，1为已提交，2为已处理，3为已取消，4为不通过
	Remarks                      *string    `db:"remarks" gorm:"column:remarks;" json:"remarks" form:"remarks"`                                                                                                                                 // 备注
	Reason                       *string    `db:"reason" gorm:"column:reason;" json:"reason" form:"reason"`                                                                                                                                     // 后台处理结果
	InsertDate                   *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                                                                 //
	ModifyDate                   *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                                                                                 //
}

func (tstru *KillaraCustomerCommissionWithdraw) TableName() string {
	return "killara_customer_commission_withdraw"
}

// killara_customer_deposit
type KillaraCustomerDeposit struct {
	CustomerDepositId *uint64    `db:"customer_deposit_id" gorm:"column:customer_deposit_id;primary_key;auto_increment:true;" json:"customer_deposit_id" form:"customer_deposit_id"` //
	CustomerId        *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                           //
	Nickname          *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                             // 会员昵称
	Telephone         *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                                         // 会员手机
	Email             *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                                                         //
	Name              *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                             // 会员姓名
	MerchantId        *uint64    `db:"merchant_id" gorm:"column:merchant_id;" json:"merchant_id" form:"merchant_id"`                                                                 // 支付方式ID
	CurrencyId        *uint64    `db:"currency_id" gorm:"column:currency_id;" json:"currency_id" form:"currency_id"`                                                                 //
	Symbol            *string    `db:"symbol" gorm:"column:symbol;" json:"symbol" form:"symbol"`                                                                                     //
	CategoryId        *uint64    `db:"category_id" gorm:"column:category_id;" json:"category_id" form:"category_id"`                                                                 //
	Market            *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                                     // 所属证券市场，HK为港股市场，US为美股市场
	Total             *float64   `db:"total" gorm:"column:total;" json:"total" form:"total"`                                                                                         //
	OnlinePay         *uint64    `db:"online_pay" gorm:"column:online_pay;" json:"online_pay" form:"online_pay"`                                                                     // 是否调起支付，1为是，2为否
	Type              *uint64    `db:"type" gorm:"column:type;" json:"type" form:"type"`                                                                                             // 支付方式，1:网银,3:快捷
	Amount            *float64   `db:"amount" gorm:"column:amount;" json:"amount" form:"amount"`                                                                                     //
	Status            *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                                     // 1为待转账，2为已成功，3为已取消，4为已上传回单
	Remarks           *string    `db:"remarks" gorm:"column:remarks;" json:"remarks" form:"remarks"`                                                                                 //
	Reason            *string    `db:"reason" gorm:"column:reason;" json:"reason" form:"reason"`                                                                                     //
	Ordersn           *string    `db:"orderSn" gorm:"column:orderSn;" json:"orderSn" form:"orderSn"`                                                                                 // 支付接口订单号
	Queryid           *string    `db:"queryId" gorm:"column:queryId;" json:"queryId" form:"queryId"`                                                                                 //
	MerchantCode      *string    `db:"merchant_code" gorm:"column:merchant_code;" json:"merchant_code" form:"merchant_code"`                                                         //
	MerchantKey       *string    `db:"merchant_key" gorm:"column:merchant_key;" json:"merchant_key" form:"merchant_key"`                                                             //
	Image             *string    `db:"image" gorm:"column:image;" json:"image" form:"image"`                                                                                         // 回单图片路径
	ImageInsert       *string    `db:"image_insert" gorm:"column:image_insert;" json:"image_insert" form:"image_insert"`                                                             // 申请时图片路径
	Date              *time.Time `db:"date" gorm:"column:date;" json:"date" form:"date"`                                                                                             //
	PayDate           *string    `db:"pay_date" gorm:"column:pay_date;" json:"pay_date" form:"pay_date"`                                                                             //
	ModifyDate        *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                                 //
	Ip                *string    `db:"ip" gorm:"column:ip;" json:"ip" form:"ip"`                                                                                                     //
}

func (tstru *KillaraCustomerDeposit) TableName() string {
	return "killara_customer_deposit"
}

// killara_customer_device
type KillaraCustomerDevice struct {
	CustomerId *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"` //
	Device     *string    `db:"device" gorm:"column:device;" json:"device" form:"device"`                           // 登录设备
	Version    *string    `db:"version" gorm:"column:version;" json:"version" form:"version"`                       // APP版本
	AppMarket  *uint64    `db:"app_market" gorm:"column:app_market;" json:"app_market" form:"app_market"`           // APP下载来源
	Ip         *string    `db:"ip" gorm:"column:ip;" json:"ip" form:"ip"`                                           //
	Date       *time.Time `db:"date" gorm:"column:date;" json:"date" form:"date"`                                   //
}

func (tstru *KillaraCustomerDevice) TableName() string {
	return "killara_customer_device"
}

// killara_customer_device_log
type KillaraCustomerDeviceLog struct {
	LogId      *uint64    `db:"log_id" gorm:"column:log_id;primary_key;auto_increment:true;" json:"log_id" form:"log_id"` //
	CustomerId *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`       //
	Device     *string    `db:"device" gorm:"column:device;" json:"device" form:"device"`                                 //
	Version    *string    `db:"version" gorm:"column:version;" json:"version" form:"version"`                             //
	Log        *string    `db:"log" gorm:"column:log;" json:"log" form:"log"`                                             //
	Date       *time.Time `db:"date" gorm:"column:date;" json:"date" form:"date"`                                         //
}

func (tstru *KillaraCustomerDeviceLog) TableName() string {
	return "killara_customer_device_log"
}

// killara_customer_distributor
type KillaraCustomerDistributor struct {
	CustomerDistributorId *uint64    `db:"customer_distributor_id" gorm:"column:customer_distributor_id;primary_key;auto_increment:true;" json:"customer_distributor_id" form:"customer_distributor_id"` //
	CustomerId            *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                                           //
	Status                *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                                                     // 1为待审核，2为审核通过，3为审核未通过
	InsertDate            *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                                 //
	ModifyDate            *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                                                 //
}

func (tstru *KillaraCustomerDistributor) TableName() string {
	return "killara_customer_distributor"
}

// killara_customer_exchange
type KillaraCustomerExchange struct {
	CustomerExchangeId *uint64    `db:"customer_exchange_id" gorm:"column:customer_exchange_id;primary_key;auto_increment:true;" json:"customer_exchange_id" form:"customer_exchange_id"` //
	CustomerId         *uint64    `db:"customer_id" gorm:"column:customer_id;" json:"customer_id" form:"customer_id"`                                                                     //
	Nickname           *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                                 // 会员昵称
	Telephone          *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                                             // 会员手机
	Email              *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                                                             // 电邮
	Name               *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                                 // 会员姓名
	FromCurrencyId     *uint64    `db:"from_currency_id" gorm:"column:from_currency_id;" json:"from_currency_id" form:"from_currency_id"`                                                 // 原始货币ID
	FromSymbol         *string    `db:"from_symbol" gorm:"column:from_symbol;" json:"from_symbol" form:"from_symbol"`                                                                     // 原始货币符号
	FromTotal          *float64   `db:"from_total" gorm:"column:from_total;" json:"from_total" form:"from_total"`                                                                         // 原始货币金额
	ExchangeRate       *float64   `db:"exchange_rate" gorm:"column:exchange_rate;" json:"exchange_rate" form:"exchange_rate"`                                                             //
	ToCurrencyId       *uint64    `db:"to_currency_id" gorm:"column:to_currency_id;" json:"to_currency_id" form:"to_currency_id"`                                                         // 转换货币ID
	ToSymbol           *string    `db:"to_symbol" gorm:"column:to_symbol;" json:"to_symbol" form:"to_symbol"`                                                                             // 转换货币符号
	ToTotal            *float64   `db:"to_total" gorm:"column:to_total;" json:"to_total" form:"to_total"`                                                                                 // 转换货币金额
	Status             *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                                         // 1为待处理，2转换成功，3为转换失败，4为已取消
	Remarks            *string    `db:"remarks" gorm:"column:remarks;" json:"remarks" form:"remarks"`                                                                                     //
	InsertDate         *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                     //
	ModifyDate         *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                                     //
	Ip                 *string    `db:"ip" gorm:"column:ip;" json:"ip" form:"ip"`                                                                                                         //
}

func (tstru *KillaraCustomerExchange) TableName() string {
	return "killara_customer_exchange"
}

// killara_customer_favourite
type KillaraCustomerFavourite struct {
	CustomerFavouriteId *uint64    `db:"customer_favourite_id" gorm:"column:customer_favourite_id;primary_key;auto_increment:true;" json:"customer_favourite_id" form:"customer_favourite_id"` //
	CustomerId          *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                                   //
	Market              *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                                             // 所属证券市场，HK为港股市场，US为美股市场
	StockName           *string    `db:"stock_name" gorm:"column:stock_name;" json:"stock_name" form:"stock_name"`                                                                             // 股票名称
	StockSymbol         *string    `db:"stock_symbol" gorm:"column:stock_symbol;" json:"stock_symbol" form:"stock_symbol"`                                                                     // 股票代码
	StockLocalId        *uint64    `db:"stock_local_id" gorm:"column:stock_local_id;" json:"stock_local_id" form:"stock_local_id"`                                                             // 自定义股票id
	OriginStockSymbol   *string    `db:"origin_stock_symbol" gorm:"column:origin_stock_symbol;" json:"origin_stock_symbol" form:"origin_stock_symbol"`                                         // 股票代码--自定义原始
	SortOrder           *int64     `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                                                                             // 排序
	InsertDate          *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                         //
}

func (tstru *KillaraCustomerFavourite) TableName() string {
	return "killara_customer_favourite"
}

// killara_customer_feedback
type KillaraCustomerFeedback struct {
	CustomerFeedbackId *uint64    `db:"customer_feedback_id" gorm:"column:customer_feedback_id;primary_key;auto_increment:true;" json:"customer_feedback_id" form:"customer_feedback_id"` //
	CustomerId         *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                               //
	CustomerName       *string    `db:"customer_name" gorm:"column:customer_name;" json:"customer_name" form:"customer_name"`                                                             //
	CustomerTelephone  *string    `db:"customer_telephone" gorm:"column:customer_telephone;" json:"customer_telephone" form:"customer_telephone"`                                         //
	Name               *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                                 //
	Description        *string    `db:"description" gorm:"column:description;" json:"description" form:"description"`                                                                     //
	Reply              *string    `db:"reply" gorm:"column:reply;" json:"reply" form:"reply"`                                                                                             // 处理回复
	Status             *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                                         //
	InsertDate         *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                     //
	ModifyDate         *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                                     //
}

func (tstru *KillaraCustomerFeedback) TableName() string {
	return "killara_customer_feedback"
}

// killara_customer_fund
type KillaraCustomerFund struct {
	CustomerFundId     *uint64    `db:"customer_fund_id" gorm:"column:customer_fund_id;primary_key;auto_increment:true;" json:"customer_fund_id" form:"customer_fund_id"` //
	Code               *string    `db:"code" gorm:"column:code;" json:"code" form:"code"`                                                                                 // 编号
	CustomerId         *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                               //
	Nickname           *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                 // 会员昵称
	Telephone          *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                             // 会员手机
	Email              *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                                             // 电邮
	Name               *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                 // 会员姓名
	Market             *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                         // 所属证券市场，HK为港股市场，US为美股市场
	FundName           *string    `db:"fund_name" gorm:"column:fund_name;" json:"fund_name" form:"fund_name"`                                                             // 基金名称
	FundCode           *string    `db:"fund_code" gorm:"column:fund_code;" json:"fund_code" form:"fund_code"`                                                             // 基金编号
	Symbol             *string    `db:"symbol" gorm:"column:symbol;" json:"symbol" form:"symbol"`                                                                         //
	Total              *float64   `db:"total" gorm:"column:total;" json:"total" form:"total"`                                                                             // 投资金额
	ServiceFeeRate     *float64   `db:"service_fee_rate" gorm:"column:service_fee_rate;" json:"service_fee_rate" form:"service_fee_rate"`                                 // 申购费率
	ServiceFee         *float64   `db:"service_fee" gorm:"column:service_fee;" json:"service_fee" form:"service_fee"`                                                     // 申购费
	ManageFeeRate      *float64   `db:"manage_fee_rate" gorm:"column:manage_fee_rate;" json:"manage_fee_rate" form:"manage_fee_rate"`                                     // 管理费率
	ManageFee          *float64   `db:"manage_fee" gorm:"column:manage_fee;" json:"manage_fee" form:"manage_fee"`                                                         // 管理费
	FundProfitFeeRate  *float64   `db:"fund_profit_fee_rate" gorm:"column:fund_profit_fee_rate;" json:"fund_profit_fee_rate" form:"fund_profit_fee_rate"`                 // 超额管理费率
	FundProfitFee      *float64   `db:"fund_profit_fee" gorm:"column:fund_profit_fee;" json:"fund_profit_fee" form:"fund_profit_fee"`                                     // 超额管理费
	Profit             *string    `db:"profit" gorm:"column:profit;" json:"profit" form:"profit"`                                                                         // 实际收益
	ProfitRate         *float64   `db:"profit_rate" gorm:"column:profit_rate;" json:"profit_rate" form:"profit_rate"`                                                     // 退出收益率
	RefundAmount       *float64   `db:"refund_amount" gorm:"column:refund_amount;" json:"refund_amount" form:"refund_amount"`                                             // 退出总金额
	StartDate          *time.Time `db:"start_date" gorm:"column:start_date;" json:"start_date" form:"start_date"`                                                         // 开始日期
	HoldTime           *float64   `db:"hold_time" gorm:"column:hold_time;" json:"hold_time" form:"hold_time"`                                                             // 锚定期
	HoldTimeUnit       *uint64    `db:"hold_time_unit" gorm:"column:hold_time_unit;" json:"hold_time_unit" form:"hold_time_unit"`                                         // 锚定期单位；1：日；2：周；3：月
	EndDate            *time.Time `db:"end_date" gorm:"column:end_date;" json:"end_date" form:"end_date"`                                                                 // 结束日期
	QuitDate           *time.Time `db:"quit_date" gorm:"column:quit_date;" json:"quit_date" form:"quit_date"`                                                             // 退出日期
	HoldPrice          *float64   `db:"hold_price" gorm:"column:hold_price;" json:"hold_price" form:"hold_price"`                                                         // 转持仓均价
	HoldQuantity       *uint64    `db:"hold_quantity" gorm:"column:hold_quantity;" json:"hold_quantity" form:"hold_quantity"`                                             // 转持仓数量
	HoldAmount         *float64   `db:"hold_amount" gorm:"column:hold_amount;" json:"hold_amount" form:"hold_amount"`                                                     // 转持仓金额
	WinRate            *float64   `db:"win_rate" gorm:"column:win_rate;" json:"win_rate" form:"win_rate"`                                                                 // 获配率
	WinQuantity        *uint64    `db:"win_quantity" gorm:"column:win_quantity;" json:"win_quantity" form:"win_quantity"`                                                 // 获配股数
	WinCost            *float64   `db:"win_cost" gorm:"column:win_cost;" json:"win_cost" form:"win_cost"`                                                                 // 股票成本对价
	WinAmount          *float64   `db:"win_amount" gorm:"column:win_amount;" json:"win_amount" form:"win_amount"`                                                         // 基金获配金额
	FinInterest        *float64   `db:"fin_interest" gorm:"column:fin_interest;" json:"fin_interest" form:"fin_interest"`                                                 // 融资利息
	QuitPrice          *float64   `db:"quit_price" gorm:"column:quit_price;" json:"quit_price" form:"quit_price"`                                                         // 退出平均价格
	QuitAmount         *float64   `db:"quit_amount" gorm:"column:quit_amount;" json:"quit_amount" form:"quit_amount"`                                                     // 退出金额
	SellServiceFeeRate *float64   `db:"sell_service_fee_rate" gorm:"column:sell_service_fee_rate;" json:"sell_service_fee_rate" form:"sell_service_fee_rate"`             // 卖出手续费率
	OtherFee           *float64   `db:"other_fee" gorm:"column:other_fee;" json:"other_fee" form:"other_fee"`                                                             // 基金其他费用
	ManageDay          *float64   `db:"manage_day" gorm:"column:manage_day;" json:"manage_day" form:"manage_day"`                                                         // 管理时间/月
	Reward             *float64   `db:"reward" gorm:"column:reward;" json:"reward" form:"reward"`                                                                         // 绩效报酬
	NetReward          *float64   `db:"net_reward" gorm:"column:net_reward;" json:"net_reward" form:"net_reward"`                                                         // 净绩效报酬
	Status             *int64     `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                         // 1为已申购，2为已取消，3为已结算
	InsertDate         *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                     //
	ModifyDate         *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                     //
	Ip                 *string    `db:"ip" gorm:"column:ip;" json:"ip" form:"ip"`                                                                                         //
}

func (tstru *KillaraCustomerFund) TableName() string {
	return "killara_customer_fund"
}

// killara_customer_hold
type KillaraCustomerHold struct {
	CustomerHoldId           *uint64    `db:"customer_hold_id" gorm:"column:customer_hold_id;primary_key;auto_increment:true;" json:"customer_hold_id" form:"customer_hold_id"`     //
	CustomerIpoId            *int64     `db:"customer_ipo_id" gorm:"column:customer_ipo_id;" json:"customer_ipo_id" form:"customer_ipo_id"`                                         // 由新股中签来的持仓
	CustomerInternationalId  *int64     `db:"customer_international_id" gorm:"column:customer_international_id;" json:"customer_international_id" form:"customer_international_id"` // 由国配中签来的持仓
	CustomerFundId           *uint64    `db:"customer_fund_id" gorm:"column:customer_fund_id;" json:"customer_fund_id" form:"customer_fund_id"`                                     // 由基金申购转来的持仓
	CustomerId               *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                   //
	Nickname                 *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                     // 会员昵称
	Telephone                *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                                 // 会员手机
	Email                    *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                                                 // 电邮
	Name                     *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                     // 会员姓名
	Settleprice              *float64   `db:"settlePrice" gorm:"column:settlePrice;" json:"settlePrice" form:"settlePrice"`                                                         // 结算价
	Exerciseprice            *float64   `db:"exercisePrice" gorm:"column:exercisePrice;" json:"exercisePrice" form:"exercisePrice"`                                                 // 行使价
	Makepeace                *float64   `db:"makePeace" gorm:"column:makePeace;" json:"makePeace" form:"makePeace"`                                                                 // 打和点
	Exchangeratio            *float64   `db:"exchangeRatio" gorm:"column:exchangeRatio;" json:"exchangeRatio" form:"exchangeRatio"`                                                 // 换股比率
	Exchangeprice            *float64   `db:"exchangePrice" gorm:"column:exchangePrice;" json:"exchangePrice" form:"exchangePrice"`                                                 // 换股价
	Callprice                *float64   `db:"callPrice" gorm:"column:callPrice;" json:"callPrice" form:"callPrice"`                                                                 // 收回价
	Lasttradedate            *time.Time `db:"lastTradeDate" gorm:"column:lastTradeDate;" json:"lastTradeDate" form:"lastTradeDate"`                                                 // 最后交易日
	Maturitydate             *time.Time `db:"maturityDate" gorm:"column:maturityDate;" json:"maturityDate" form:"maturityDate"`                                                     // 到期日
	Callorput                *string    `db:"callOrPut" gorm:"column:callOrPut;" json:"callOrPut" form:"callOrPut"`                                                                 // 牛证或熊证。牛C，熊P
	Inlineflag               *uint64    `db:"inlineFlag" gorm:"column:inlineFlag;" json:"inlineFlag" form:"inlineFlag"`                                                             // 购或沽；1：购；0：沽
	Code                     *string    `db:"code" gorm:"column:code;" json:"code" form:"code"`                                                                                     // 编号
	Market                   *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                             // 所属证券市场，HK为港股市场，US为美股市场
	StockType                *uint64    `db:"stock_type" gorm:"column:stock_type;" json:"stock_type" form:"stock_type"`                                                             // 股票类型
	StockSymbol              *string    `db:"stock_symbol" gorm:"column:stock_symbol;" json:"stock_symbol" form:"stock_symbol"`                                                     // 股票代码
	StockLocalHistoryId      *uint64    `db:"stock_local_history_id" gorm:"column:stock_local_history_id;" json:"stock_local_history_id" form:"stock_local_history_id"`             // 自定义股票代码的历史--id
	StockName                *string    `db:"stock_name" gorm:"column:stock_name;" json:"stock_name" form:"stock_name"`                                                             // 股票名称
	Quantity                 *uint64    `db:"quantity" gorm:"column:quantity;" json:"quantity" form:"quantity"`                                                                     // 持仓数量
	Price                    *float64   `db:"price" gorm:"column:price;" json:"price" form:"price"`                                                                                 // 持仓均价
	ProfitLoss               *float64   `db:"profit_loss" gorm:"column:profit_loss;" json:"profit_loss" form:"profit_loss"`                                                         // 持仓盈亏额
	ProfitLossRate           *float64   `db:"profit_loss_rate" gorm:"column:profit_loss_rate;" json:"profit_loss_rate" form:"profit_loss_rate"`                                     // 持仓盈亏额率
	IsWithfunding            *uint64    `db:"is_withfunding" gorm:"column:is_withfunding;" json:"is_withfunding" form:"is_withfunding"`                                             // 是否选择配资，1为是；2为否。
	WithfundingTotal         *float64   `db:"withfunding_total" gorm:"column:withfunding_total;" json:"withfunding_total" form:"withfunding_total"`                                 // 投资本金
	WithfundingMagnification *uint64    `db:"withfunding_magnification" gorm:"column:withfunding_magnification;" json:"withfunding_magnification" form:"withfunding_magnification"` // 倍率
	WithfundingDay           *uint64    `db:"withfunding_day" gorm:"column:withfunding_day;" json:"withfunding_day" form:"withfunding_day"`                                         // 交易天数
	Interest                 *float64   `db:"interest" gorm:"column:interest;" json:"interest" form:"interest"`                                                                     // 利息
	WarningLine              *float64   `db:"warning_line" gorm:"column:warning_line;" json:"warning_line" form:"warning_line"`                                                     // 警戒线
	WarningLinePrice         *float64   `db:"warning_line_price" gorm:"column:warning_line_price;" json:"warning_line_price" form:"warning_line_price"`                             // 警戒价
	ClearLine                *float64   `db:"clear_line" gorm:"column:clear_line;" json:"clear_line" form:"clear_line"`                                                             // 平仓线
	ClearLinePrice           *float64   `db:"clear_line_price" gorm:"column:clear_line_price;" json:"clear_line_price" form:"clear_line_price"`                                     // 平仓价
	WithfundingStartDate     *time.Time `db:"withfunding_start_date" gorm:"column:withfunding_start_date;" json:"withfunding_start_date" form:"withfunding_start_date"`             // 配资开始日期
	WithfundingEndDate       *time.Time `db:"withfunding_end_date" gorm:"column:withfunding_end_date;" json:"withfunding_end_date" form:"withfunding_end_date"`                     // 配资结束日期
	Type                     *uint64    `db:"type" gorm:"column:type;" json:"type" form:"type"`                                                                                     // 1为买入，2为卖出
	Status                   *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                             // 1为持仓中，2为已平仓
	InsertDate               *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                         //
	ModifyDate               *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                         //
}

func (tstru *KillaraCustomerHold) TableName() string {
	return "killara_customer_hold"
}

// killara_customer_international
type KillaraCustomerInternational struct {
	CustomerInternationalId *uint64    `db:"customer_international_id" gorm:"column:customer_international_id;primary_key;auto_increment:true;" json:"customer_international_id" form:"customer_international_id"` //
	Code                    *string    `db:"code" gorm:"column:code;" json:"code" form:"code"`                                                                                                                     // 编号
	InternationalId         *int64     `db:"international_id" gorm:"column:international_id;" json:"international_id" form:"international_id"`                                                                     //
	CustomerId              *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                                                   //
	Nickname                *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                                                     // 会员昵称
	Telephone               *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                                                                 // 会员手机
	Email                   *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                                                                                 // 电邮
	Name                    *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                                                     // 会员姓名
	Market                  *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                                                             // 所属证券市场，HK为港股市场，US为美股市场
	StockName               *string    `db:"stock_name" gorm:"column:stock_name;" json:"stock_name" form:"stock_name"`                                                                                             // 股票名称
	StockSymbol             *string    `db:"stock_symbol" gorm:"column:stock_symbol;" json:"stock_symbol" form:"stock_symbol"`                                                                                     // 股票代码
	EndBuyDate              *time.Time `db:"end_buy_date" gorm:"column:end_buy_date;" json:"end_buy_date" form:"end_buy_date"`                                                                                     //
	Total                   *float64   `db:"total" gorm:"column:total;" json:"total" form:"total"`                                                                                                                 // 投资金额
	DepositRate             *float64   `db:"deposit_rate" gorm:"column:deposit_rate;" json:"deposit_rate" form:"deposit_rate"`                                                                                     // 意向金百分比
	Deposit                 *float64   `db:"deposit" gorm:"column:deposit;" json:"deposit" form:"deposit"`                                                                                                         // 意向金
	ServiceFeeRate          *float64   `db:"service_fee_rate" gorm:"column:service_fee_rate;" json:"service_fee_rate" form:"service_fee_rate"`                                                                     // 销售服务费率
	ServiceFee              *float64   `db:"service_fee" gorm:"column:service_fee;" json:"service_fee" form:"service_fee"`                                                                                         // 销售服务费
	WinningQty              *uint64    `db:"winning_qty" gorm:"column:winning_qty;" json:"winning_qty" form:"winning_qty"`                                                                                         // 中签数量
	WinningPrice            *float64   `db:"winning_price" gorm:"column:winning_price;" json:"winning_price" form:"winning_price"`                                                                                 // 中签价格
	WinningTotal            *float64   `db:"winning_total" gorm:"column:winning_total;" json:"winning_total" form:"winning_total"`                                                                                 // 中签总额
	WinningDate             *string    `db:"winning_date" gorm:"column:winning_date;" json:"winning_date" form:"winning_date"`                                                                                     // 公布中签时间
	Amount                  *float64   `db:"amount" gorm:"column:amount;" json:"amount" form:"amount"`                                                                                                             // 所有费用总额
	Status                  *int64     `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                                                             // 1为已提交，2为已中签，3为未中签，4为已取消
	Remarks                 *string    `db:"remarks" gorm:"column:remarks;" json:"remarks" form:"remarks"`                                                                                                         //
	InsertDate              *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                                         //
	ModifyDate              *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                                                         //
	Ip                      *string    `db:"ip" gorm:"column:ip;" json:"ip" form:"ip"`                                                                                                                             //
}

func (tstru *KillaraCustomerInternational) TableName() string {
	return "killara_customer_international"
}

// killara_customer_ipo
type KillaraCustomerIpo struct {
	CustomerIpoId        *uint64    `db:"customer_ipo_id" gorm:"column:customer_ipo_id;primary_key;auto_increment:true;" json:"customer_ipo_id" form:"customer_ipo_id"`     //
	Code                 *string    `db:"code" gorm:"column:code;" json:"code" form:"code"`                                                                                 // 编号
	CustomerId           *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                               //
	IpoId                *uint64    `db:"ipo_id" gorm:"column:ipo_id;" json:"ipo_id" form:"ipo_id"`                                                                         //
	Nickname             *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                 // 会员昵称
	Telephone            *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                             // 会员手机
	Email                *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                                             // 邮箱
	Name                 *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                 // 会员姓名
	Market               *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                         // 所属证券市场，HK为港股市场，US为美股市场
	StockSymbol          *string    `db:"stock_symbol" gorm:"column:stock_symbol;" json:"stock_symbol" form:"stock_symbol"`                                                 // 股票代码
	StockName            *string    `db:"stock_name" gorm:"column:stock_name;" json:"stock_name" form:"stock_name"`                                                         // 股票名称
	EndBuyDate           *time.Time `db:"end_buy_date" gorm:"column:end_buy_date;" json:"end_buy_date" form:"end_buy_date"`                                                 //
	Quantity             *uint64    `db:"quantity" gorm:"column:quantity;" json:"quantity" form:"quantity"`                                                                 // 认购数量
	Total                *float64   `db:"total" gorm:"column:total;" json:"total" form:"total"`                                                                             // 认购总额
	StrategyId           *string    `db:"strategy_id" gorm:"column:strategy_id;" json:"strategy_id" form:"strategy_id"`                                                     // 交易策略
	Fin                  *uint64    `db:"fin" gorm:"column:fin;" json:"fin" form:"fin"`                                                                                     // 是否融资，1为是，2为否
	FinRatio             *float64   `db:"fin_ratio" gorm:"column:fin_ratio;" json:"fin_ratio" form:"fin_ratio"`                                                             // 融资比例
	FinAmount            *float64   `db:"fin_amount" gorm:"column:fin_amount;" json:"fin_amount" form:"fin_amount"`                                                         // 融资金额
	FinRate              *float64   `db:"fin_rate" gorm:"column:fin_rate;" json:"fin_rate" form:"fin_rate"`                                                                 // 融资利率
	FinInterest          *float64   `db:"fin_interest" gorm:"column:fin_interest;" json:"fin_interest" form:"fin_interest"`                                                 // 融资产生的利息
	IpoServiceFee        *float64   `db:"ipo_service_fee" gorm:"column:ipo_service_fee;" json:"ipo_service_fee" form:"ipo_service_fee"`                                     // 申购手续费
	IpoWinServiceFeeRate *float64   `db:"ipo_win_service_fee_rate" gorm:"column:ipo_win_service_fee_rate;" json:"ipo_win_service_fee_rate" form:"ipo_win_service_fee_rate"` // 中签手续费率
	IpoWinServiceFee     *float64   `db:"ipo_win_service_fee" gorm:"column:ipo_win_service_fee;" json:"ipo_win_service_fee" form:"ipo_win_service_fee"`                     // 中签手续费
	WinningQty           *uint64    `db:"winning_qty" gorm:"column:winning_qty;" json:"winning_qty" form:"winning_qty"`                                                     // 中签数量
	WinningPrice         *float64   `db:"winning_price" gorm:"column:winning_price;" json:"winning_price" form:"winning_price"`                                             // 中签价格
	WinningTotal         *float64   `db:"winning_total" gorm:"column:winning_total;" json:"winning_total" form:"winning_total"`                                             // 中签总额
	Amount               *float64   `db:"amount" gorm:"column:amount;" json:"amount" form:"amount"`                                                                         // 所有费用总额
	IsEntrust            *int64     `db:"is_entrust" gorm:"column:is_entrust;" json:"is_entrust" form:"is_entrust"`                                                         // 委托打新；1：是；0：否
	Status               *int64     `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                         // 1为已提交，2为已中签，3为未中签，4为已取消
	Remarks              *string    `db:"remarks" gorm:"column:remarks;" json:"remarks" form:"remarks"`                                                                     //
	InsertDate           *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                     //
	ModifyDate           *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                     //
	Ip                   *string    `db:"ip" gorm:"column:ip;" json:"ip" form:"ip"`                                                                                         //
}

func (tstru *KillaraCustomerIpo) TableName() string {
	return "killara_customer_ipo"
}

// killara_customer_news
type KillaraCustomerNews struct {
	CustomerNewsId *uint64    `db:"customer_news_id" gorm:"column:customer_news_id;primary_key;auto_increment:true;" json:"customer_news_id" form:"customer_news_id"` //
	CustomerId     *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                               //
	Nickname       *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                 //
	Telephone      *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                             //
	Name           *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                 //
	Description    *string    `db:"description" gorm:"column:description;" json:"description" form:"description"`                                                     //
	Read           *uint64    `db:"read" gorm:"column:read;" json:"read" form:"read"`                                                                                 //
	Date           *time.Time `db:"date" gorm:"column:date;" json:"date" form:"date"`                                                                                 //
}

func (tstru *KillaraCustomerNews) TableName() string {
	return "killara_customer_news"
}

// killara_customer_point
type KillaraCustomerPoint struct {
	CustomerPointId *uint64    `db:"customer_point_id" gorm:"column:customer_point_id;primary_key;auto_increment:true;" json:"customer_point_id" form:"customer_point_id"` //
	CustomerId      *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                   //
	Nickname        *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                     //
	Telephone       *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                                 //
	Description     *string    `db:"description" gorm:"column:description;" json:"description" form:"description"`                                                         //
	Total           *int64     `db:"total" gorm:"column:total;" json:"total" form:"total"`                                                                                 //
	Type            *int64     `db:"type" gorm:"column:type;" json:"type" form:"type"`                                                                                     //
	InsertDate      *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                         //
}

func (tstru *KillaraCustomerPoint) TableName() string {
	return "killara_customer_point"
}

// killara_customer_token
type KillaraCustomerToken struct {
	Token      *string `db:"token" gorm:"column:token;primary_key;" json:"token" form:"token"`                   //
	CustomerId *uint64 `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"` //
	Data       *string `db:"data" gorm:"column:data;" json:"data" form:"data"`                                   //
	Expiry     *int64  `db:"expiry" gorm:"column:expiry;" json:"expiry" form:"expiry"`                           //
	Platform   *int64  `db:"platform" gorm:"column:platform;" json:"platform" form:"platform"`                   // 1为app，2为代理网页
}

func (tstru *KillaraCustomerToken) TableName() string {
	return "killara_customer_token"
}

// killara_customer_transaction
type KillaraCustomerTransaction struct {
	CustomerTransactionId    *uint64    `db:"customer_transaction_id" gorm:"column:customer_transaction_id;primary_key;auto_increment:true;" json:"customer_transaction_id" form:"customer_transaction_id"` //
	CustomerHoldId           *uint64    `db:"customer_hold_id" gorm:"column:customer_hold_id;" json:"customer_hold_id" form:"customer_hold_id"`                                                             // 关联的持仓
	CustomerId               *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                                           //
	Nickname                 *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                                             // 会员昵称
	Telephone                *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                                                         // 会员手机
	Email                    *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                                                                         // 电邮
	Name                     *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                                             // 会员姓名
	Settleprice              *float64   `db:"settlePrice" gorm:"column:settlePrice;" json:"settlePrice" form:"settlePrice"`                                                                                 // 结算价
	Exerciseprice            *float64   `db:"exercisePrice" gorm:"column:exercisePrice;" json:"exercisePrice" form:"exercisePrice"`                                                                         // 行使价
	Makepeace                *float64   `db:"makePeace" gorm:"column:makePeace;" json:"makePeace" form:"makePeace"`                                                                                         // 打和点
	Exchangeratio            *float64   `db:"exchangeRatio" gorm:"column:exchangeRatio;" json:"exchangeRatio" form:"exchangeRatio"`                                                                         // 换股比率
	Exchangeprice            *float64   `db:"exchangePrice" gorm:"column:exchangePrice;" json:"exchangePrice" form:"exchangePrice"`                                                                         // 换股价
	Callprice                *float64   `db:"callPrice" gorm:"column:callPrice;" json:"callPrice" form:"callPrice"`                                                                                         // 收回价
	Lasttradedate            *time.Time `db:"lastTradeDate" gorm:"column:lastTradeDate;" json:"lastTradeDate" form:"lastTradeDate"`                                                                         // 最后交易日
	Maturitydate             *time.Time `db:"maturityDate" gorm:"column:maturityDate;" json:"maturityDate" form:"maturityDate"`                                                                             // 到期日
	Callorput                *string    `db:"callOrPut" gorm:"column:callOrPut;" json:"callOrPut" form:"callOrPut"`                                                                                         // 牛证或熊证。牛C，熊P
	Inlineflag               *uint64    `db:"inlineFlag" gorm:"column:inlineFlag;" json:"inlineFlag" form:"inlineFlag"`                                                                                     // 购或沽；1：购；0：沽
	Code                     *string    `db:"code" gorm:"column:code;" json:"code" form:"code"`                                                                                                             // 编号
	Market                   *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                                                     // 所属证券市场，HK为港股市场，US为美股市场
	StockType                *uint64    `db:"stock_type" gorm:"column:stock_type;" json:"stock_type" form:"stock_type"`                                                                                     // 股票类型
	Grey                     *uint64    `db:"grey" gorm:"column:grey;" json:"grey" form:"grey"`                                                                                                             // 暗盘订单。1：是；2：否
	Type                     *uint64    `db:"type" gorm:"column:type;" json:"type" form:"type"`                                                                                                             // 1为买入，2为卖出
	OrderType                *uint64    `db:"order_type" gorm:"column:order_type;" json:"order_type" form:"order_type"`                                                                                     // 1为限价单，2为市价单
	IpoId                    *uint64    `db:"ipo_id" gorm:"column:ipo_id;" json:"ipo_id" form:"ipo_id"`                                                                                                     // 新股ID
	StockLocalHistoryId      *uint64    `db:"stock_local_history_id" gorm:"column:stock_local_history_id;" json:"stock_local_history_id" form:"stock_local_history_id"`                                     // 自定义股票代码的历史--id
	StockSymbol              *string    `db:"stock_symbol" gorm:"column:stock_symbol;" json:"stock_symbol" form:"stock_symbol"`                                                                             // 股票代码
	StockName                *string    `db:"stock_name" gorm:"column:stock_name;" json:"stock_name" form:"stock_name"`                                                                                     // 股票名称
	Quantity                 *uint64    `db:"quantity" gorm:"column:quantity;" json:"quantity" form:"quantity"`                                                                                             // 数量
	Price                    *float64   `db:"price" gorm:"column:price;" json:"price" form:"price"`                                                                                                         // 价格
	Total                    *float64   `db:"total" gorm:"column:total;" json:"total" form:"total"`                                                                                                         // 金额
	ServiceFeeRate           *float64   `db:"service_fee_rate" gorm:"column:service_fee_rate;" json:"service_fee_rate" form:"service_fee_rate"`                                                             // 手续费率
	ServiceFee               *float64   `db:"service_fee" gorm:"column:service_fee;" json:"service_fee" form:"service_fee"`                                                                                 // 手续费
	AvgPrice                 *float64   `db:"avg_price" gorm:"column:avg_price;" json:"avg_price" form:"avg_price"`                                                                                         // 持仓均价
	SellDate                 *time.Time `db:"sell_date" gorm:"column:sell_date;" json:"sell_date" form:"sell_date"`                                                                                         // 卖出日期
	ProfitLoss               *float64   `db:"profit_loss" gorm:"column:profit_loss;" json:"profit_loss" form:"profit_loss"`                                                                                 // 盈亏额，只有卖单才有
	ProfitLossRate           *float64   `db:"profit_loss_rate" gorm:"column:profit_loss_rate;" json:"profit_loss_rate" form:"profit_loss_rate"`                                                             // 盈亏额率，只有卖单才有
	PlatformSeparateRate     *float64   `db:"platform_separate_rate" gorm:"column:platform_separate_rate;" json:"platform_separate_rate" form:"platform_separate_rate"`                                     // 平台获利分成比例
	PlatformSeparate         *float64   `db:"platform_separate" gorm:"column:platform_separate;" json:"platform_separate" form:"platform_separate"`                                                         // 平台获利分成金额
	PersonalSeparateRate     *float64   `db:"personal_separate_rate" gorm:"column:personal_separate_rate;" json:"personal_separate_rate" form:"personal_separate_rate"`                                     // 个人获利分成比例
	PersonalSeparate         *float64   `db:"personal_separate" gorm:"column:personal_separate;" json:"personal_separate" form:"personal_separate"`                                                         // 个人获利分成金额
	Amount                   *float64   `db:"amount" gorm:"column:amount;" json:"amount" form:"amount"`                                                                                                     // 实际发生金额
	Status                   *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                                                     // 1为已下单，2为已撤单，3为已成交
	ExchangeOrder            *uint64    `db:"exchange_order" gorm:"column:exchange_order;" json:"exchange_order" form:"exchange_order"`                                                                     // 1为交易所交易订单，2为本地交易订单
	ExchangeStatus           *uint64    `db:"exchange_status" gorm:"column:exchange_status;" json:"exchange_status" form:"exchange_status"`                                                                 // 1为已下单，2为已提交交易所，3为已撤单，4为已成交
	ExchangeProcess          *uint64    `db:"exchange_process" gorm:"column:exchange_process;" json:"exchange_process" form:"exchange_process"`                                                             // 订单交易所是否已处理，1为已处理，2为未处理
	ExchangeResponse         *string    `db:"exchange_response" gorm:"column:exchange_response;" json:"exchange_response" form:"exchange_response"`                                                         // 订单交易所处理的信息反馈
	EntrustNo                *string    `db:"entrust_no" gorm:"column:entrust_no;" json:"entrust_no" form:"entrust_no"`                                                                                     // 恒生委托编号
	OrderNo                  *string    `db:"order_no" gorm:"column:order_no;" json:"order_no" form:"order_no"`                                                                                             // 恒生订单号码
	OrderTxnReference        *string    `db:"order_txn_reference" gorm:"column:order_txn_reference;" json:"order_txn_reference" form:"order_txn_reference"`                                                 // 恒生记录号
	FundId                   *uint64    `db:"fund_id" gorm:"column:fund_id;" json:"fund_id" form:"fund_id"`                                                                                                 // 使用的A仓账号
	ExchangeNumber           *uint64    `db:"exchange_number" gorm:"column:exchange_number;" json:"exchange_number" form:"exchange_number"`                                                                 // 提交到恒生的次数序号
	IbOrderId                *string    `db:"ib_order_id" gorm:"column:ib_order_id;" json:"ib_order_id" form:"ib_order_id"`                                                                                 // IB订单号
	A2b                      *uint64    `db:"a2b" gorm:"column:a2b;" json:"a2b" form:"a2b"`                                                                                                                 // A仓不成功转B仓，1为是，2为否
	IsWithfunding            *uint64    `db:"is_withfunding" gorm:"column:is_withfunding;" json:"is_withfunding" form:"is_withfunding"`                                                                     // 是否选择配资，1为是；2为否。
	WithfundingTotal         *float64   `db:"withfunding_total" gorm:"column:withfunding_total;" json:"withfunding_total" form:"withfunding_total"`                                                         // 投资本金
	WithfundingMagnification *uint64    `db:"withfunding_magnification" gorm:"column:withfunding_magnification;" json:"withfunding_magnification" form:"withfunding_magnification"`                         // 倍率
	WithfundingDay           *uint64    `db:"withfunding_day" gorm:"column:withfunding_day;" json:"withfunding_day" form:"withfunding_day"`                                                                 // 交易天数
	Interest                 *float64   `db:"interest" gorm:"column:interest;" json:"interest" form:"interest"`                                                                                             // 利息
	WarningLine              *float64   `db:"warning_line" gorm:"column:warning_line;" json:"warning_line" form:"warning_line"`                                                                             // 警戒线
	WarningLinePrice         *float64   `db:"warning_line_price" gorm:"column:warning_line_price;" json:"warning_line_price" form:"warning_line_price"`                                                     // 警戒价
	ClearLine                *float64   `db:"clear_line" gorm:"column:clear_line;" json:"clear_line" form:"clear_line"`                                                                                     // 平仓线
	ClearLinePrice           *float64   `db:"clear_line_price" gorm:"column:clear_line_price;" json:"clear_line_price" form:"clear_line_price"`                                                             // 平仓价
	WithfundingStartDate     *time.Time `db:"withfunding_start_date" gorm:"column:withfunding_start_date;" json:"withfunding_start_date" form:"withfunding_start_date"`                                     // 配资开始日期
	WithfundingEndDate       *time.Time `db:"withfunding_end_date" gorm:"column:withfunding_end_date;" json:"withfunding_end_date" form:"withfunding_end_date"`                                             // 配资结束日期
	Remarks                  *string    `db:"remarks" gorm:"column:remarks;" json:"remarks" form:"remarks"`                                                                                                 // 备注
	TimeMsc                  *string    `db:"time_msc" gorm:"column:time_msc;" json:"time_msc" form:"time_msc"`                                                                                             // FX市场下单时间戳
	InsertDate               *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                                 //
	ExchangeDate             *time.Time `db:"exchange_date" gorm:"column:exchange_date;" json:"exchange_date" form:"exchange_date"`                                                                         // 成功提交到A仓的时间
	ModifyDate               *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                                                 //
	Ip                       *string    `db:"ip" gorm:"column:ip;" json:"ip" form:"ip"`                                                                                                                     // 客户下单时的IP
}

func (tstru *KillaraCustomerTransaction) TableName() string {
	return "killara_customer_transaction"
}

// killara_customer_withdraw
type KillaraCustomerWithdraw struct {
	CustomerWithdrawId *uint64    `db:"customer_withdraw_id" gorm:"column:customer_withdraw_id;primary_key;auto_increment:true;" json:"customer_withdraw_id" form:"customer_withdraw_id"` //
	CustomerId         *uint64    `db:"customer_id" gorm:"column:customer_id;index;" json:"customer_id" form:"customer_id"`                                                               //
	Nickname           *string    `db:"nickname" gorm:"column:nickname;" json:"nickname" form:"nickname"`                                                                                 // 会员昵称
	Telephone          *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                                                                             // 会员手机
	Email              *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                                                                             // 电邮
	Name               *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                                                                 // 客戶姓名
	CurrencyId         *uint64    `db:"currency_id" gorm:"column:currency_id;" json:"currency_id" form:"currency_id"`                                                                     // 出金货币ID
	Symbol             *string    `db:"symbol" gorm:"column:symbol;" json:"symbol" form:"symbol"`                                                                                         // 出金货币代码
	Total              *float64   `db:"total" gorm:"column:total;" json:"total" form:"total"`                                                                                             // 提款金额
	Market             *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                                         // 所属证券市场，HK为港股市场，US为美股市场
	BankAccountName    *string    `db:"bank_account_name" gorm:"column:bank_account_name;" json:"bank_account_name" form:"bank_account_name"`                                             // 收款人姓名
	BankName           *string    `db:"bank_name" gorm:"column:bank_name;" json:"bank_name" form:"bank_name"`                                                                             // 银行名称
	BankBranch         *string    `db:"bank_branch" gorm:"column:bank_branch;" json:"bank_branch" form:"bank_branch"`                                                                     // 支行名称
	BankNumber         *string    `db:"bank_number" gorm:"column:bank_number;" json:"bank_number" form:"bank_number"`                                                                     // 银行号码
	BankType           *uint64    `db:"bank_type" gorm:"column:bank_type;" json:"bank_type" form:"bank_type"`                                                                             // 收款类别，1：国内；2：海外；3：USDT
	BankInfo           *string    `db:"bank_info" gorm:"column:bank_info;" json:"bank_info" form:"bank_info"`                                                                             // 收款账户信息
	ExchangeRate       *string    `db:"exchange_rate" gorm:"column:exchange_rate;" json:"exchange_rate" form:"exchange_rate"`                                                             //
	TotalCny           *float64   `db:"total_cny" gorm:"column:total_cny;" json:"total_cny" form:"total_cny"`                                                                             //
	Status             *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                                         // 1为待处理，2为已处理，3为已取消，4为已划款
	Remarks            *string    `db:"remarks" gorm:"column:remarks;" json:"remarks" form:"remarks"`                                                                                     //
	Reason             *string    `db:"reason" gorm:"column:reason;" json:"reason" form:"reason"`                                                                                         //
	Date               *time.Time `db:"date" gorm:"column:date;" json:"date" form:"date"`                                                                                                 //
	VerifyDate         *string    `db:"verify_date" gorm:"column:verify_date;" json:"verify_date" form:"verify_date"`                                                                     // 审核日期
	TransferDate       *string    `db:"transfer_date" gorm:"column:transfer_date;" json:"transfer_date" form:"transfer_date"`                                                             // 划款日期
	Ip                 *string    `db:"ip" gorm:"column:ip;" json:"ip" form:"ip"`                                                                                                         //
}

func (tstru *KillaraCustomerWithdraw) TableName() string {
	return "killara_customer_withdraw"
}

// killara_fund
type KillaraFund struct {
	FundId        *uint64    `db:"fund_id" gorm:"column:fund_id;primary_key;auto_increment:true;" json:"fund_id" form:"fund_id"` //
	CategoryId    *uint64    `db:"category_id" gorm:"column:category_id;" json:"category_id" form:"category_id"`                 //
	Market        *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                     // 所属证券市场，HK为港股市场，US为美股市场
	Name          *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                             // 基金名称
	Code          *string    `db:"code" gorm:"column:code;" json:"code" form:"code"`                                             // 基金编号
	TimeType      *uint64    `db:"time_type" gorm:"column:time_type;" json:"time_type" form:"time_type"`                         // 显示时间类型。1：锚定期；2：锁定期
	HoldTime      *uint64    `db:"hold_time" gorm:"column:hold_time;" json:"hold_time" form:"hold_time"`                         // 锚定期
	HoldTimeUnit  *uint64    `db:"hold_time_unit" gorm:"column:hold_time_unit;" json:"hold_time_unit" form:"hold_time_unit"`     // 锚定期单位；1：日；2：周；3：月
	LockTime      *uint64    `db:"lock_time" gorm:"column:lock_time;" json:"lock_time" form:"lock_time"`                         // 锁定期
	LockTimeUnit  *uint64    `db:"lock_time_unit" gorm:"column:lock_time_unit;" json:"lock_time_unit" form:"lock_time_unit"`     // 锁定期单位；1：日；2：周；3：月
	FundManageFee *float64   `db:"fund_manage_fee" gorm:"column:fund_manage_fee;" json:"fund_manage_fee" form:"fund_manage_fee"` // 基金管理费率
	RateToday     *string    `db:"rate_today" gorm:"column:rate_today;" json:"rate_today" form:"rate_today"`                     // 今日涨跌幅
	RateSevenDay  *string    `db:"rate_seven_day" gorm:"column:rate_seven_day;" json:"rate_seven_day" form:"rate_seven_day"`     // 七日年化
	RateThisYear  *string    `db:"rate_this_year" gorm:"column:rate_this_year;" json:"rate_this_year" form:"rate_this_year"`     //
	RateThreeYear *string    `db:"rate_three_year" gorm:"column:rate_three_year;" json:"rate_three_year" form:"rate_three_year"` // 近三年涨幅
	Currency      *string    `db:"currency" gorm:"column:currency;" json:"currency" form:"currency"`                             //
	Symbol        *string    `db:"symbol" gorm:"column:symbol;" json:"symbol" form:"symbol"`                                     //
	Net           *string    `db:"net" gorm:"column:net;" json:"net" form:"net"`                                                 // 单位净值
	SurplusTotal  *float64   `db:"surplus_total" gorm:"column:surplus_total;" json:"surplus_total" form:"surplus_total"`         // 剩余额度
	Minimum       *float64   `db:"minimum" gorm:"column:minimum;" json:"minimum" form:"minimum"`                                 // 起投金额
	StepAmount    *float64   `db:"step_amount" gorm:"column:step_amount;" json:"step_amount" form:"step_amount"`                 // 递增金额
	Description   *string    `db:"description" gorm:"column:description;" json:"description" form:"description"`                 // 介绍
	Notice        *string    `db:"notice" gorm:"column:notice;" json:"notice" form:"notice"`                                     // 风险提示
	BuyerNumber   *uint64    `db:"buyer_number" gorm:"column:buyer_number;" json:"buyer_number" form:"buyer_number"`             // 购买人数
	FundInfo      *string    `db:"fund_info" gorm:"column:fund_info;" json:"fund_info" form:"fund_info"`                         // 基金概况
	FundManager   *string    `db:"fund_manager" gorm:"column:fund_manager;" json:"fund_manager" form:"fund_manager"`             // 基金经理
	FundAdvantage *string    `db:"fund_advantage" gorm:"column:fund_advantage;" json:"fund_advantage" form:"fund_advantage"`     // 产品亮点
	HistoryProfit *string    `db:"history_profit" gorm:"column:history_profit;" json:"history_profit" form:"history_profit"`     // 历史收益
	Hot           *int64     `db:"hot" gorm:"column:hot;" json:"hot" form:"hot"`                                                 // 热门
	Status        *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                     //
	SortOrder     *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                     //
	InsertDate    *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                 //
	ModifyDate    *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                 //
}

func (tstru *KillaraFund) TableName() string {
	return "killara_fund"
}

// killara_fund_achievement 基金业绩
type KillaraFundAchievement struct {
	FundAchievementId *uint64    `db:"fund_achievement_id" gorm:"column:fund_achievement_id;primary_key;auto_increment:true;" json:"fund_achievement_id" form:"fund_achievement_id"` //
	FundId            *uint64    `db:"fund_id" gorm:"column:fund_id;index;" json:"fund_id" form:"fund_id"`                                                                           //
	Date              *string    `db:"date" gorm:"column:date;" json:"date" form:"date"`                                                                                             // 日期
	Value             *float64   `db:"value" gorm:"column:value;" json:"value" form:"value"`                                                                                         // 业绩值
	InsertDate        *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                                 //
	ModifyDate        *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                                 //
}

func (tstru *KillaraFundAchievement) TableName() string {
	return "killara_fund_achievement"
}

// killara_fund_category
type KillaraFundCategory struct {
	CategoryId   *uint64    `db:"category_id" gorm:"column:category_id;primary_key;auto_increment:true;" json:"category_id" form:"category_id"` //
	Name         *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                             //
	Excerpt      *string    `db:"excerpt" gorm:"column:excerpt;" json:"excerpt" form:"excerpt"`                                                 //
	Image        *string    `db:"image" gorm:"column:image;" json:"image" form:"image"`                                                         //
	LinkType     *uint64    `db:"link_type" gorm:"column:link_type;" json:"link_type" form:"link_type"`                                         // 点击跳转类型，1为基金分类，2为资讯分类
	NewsCategory *uint64    `db:"news_category" gorm:"column:news_category;" json:"news_category" form:"news_category"`                         // 资讯分类ID
	RiskLevel    *int64     `db:"risk_level" gorm:"column:risk_level;" json:"risk_level" form:"risk_level"`                                     // 风险等级
	Intro        *string    `db:"intro" gorm:"column:intro;" json:"intro" form:"intro"`                                                         // 小常识
	IntroUseful  *uint64    `db:"intro_useful" gorm:"column:intro_useful;" json:"intro_useful" form:"intro_useful"`                             // 有帮助数量
	IntroUseless *uint64    `db:"intro_useless" gorm:"column:intro_useless;" json:"intro_useless" form:"intro_useless"`                         // 无帮助数量
	Status       *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                     //
	SortOrder    *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                                     //
	InsertDate   *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                 //
	ModifyDate   *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                 //
}

func (tstru *KillaraFundCategory) TableName() string {
	return "killara_fund_category"
}

// killara_fund_net 基金净值
type KillaraFundNet struct {
	FundNetId  *uint64    `db:"fund_net_id" gorm:"column:fund_net_id;primary_key;auto_increment:true;" json:"fund_net_id" form:"fund_net_id"` //
	FundId     *uint64    `db:"fund_id" gorm:"column:fund_id;index;" json:"fund_id" form:"fund_id"`                                           //
	Date       *string    `db:"date" gorm:"column:date;" json:"date" form:"date"`                                                             // 日期
	Value      *string    `db:"value" gorm:"column:value;" json:"value" form:"value"`                                                         // 单位净值
	Ratio      *string    `db:"ratio" gorm:"column:ratio;" json:"ratio" form:"ratio"`                                                         // 日涨跌幅
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                 //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                 //
}

func (tstru *KillaraFundNet) TableName() string {
	return "killara_fund_net"
}

// killara_help
type KillaraHelp struct {
	HelpId      *uint64    `db:"help_id" gorm:"column:help_id;primary_key;auto_increment:true;" json:"help_id" form:"help_id"` //
	LanguageId  *uint64    `db:"language_id" gorm:"column:language_id;" json:"language_id" form:"language_id"`                 // 所属语言
	CategoryId  *uint64    `db:"category_id" gorm:"column:category_id;" json:"category_id" form:"category_id"`                 //
	Name        *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                             //
	Description *string    `db:"description" gorm:"column:description;" json:"description" form:"description"`                 //
	Status      *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                     //
	SortOrder   *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                     //
	InsertDate  *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                 //
	ModifyDate  *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                 //
}

func (tstru *KillaraHelp) TableName() string {
	return "killara_help"
}

// killara_help_category
type KillaraHelpCategory struct {
	CategoryId *uint64    `db:"category_id" gorm:"column:category_id;primary_key;auto_increment:true;" json:"category_id" form:"category_id"` //
	LanguageId *uint64    `db:"language_id" gorm:"column:language_id;" json:"language_id" form:"language_id"`                                 // 所属语言
	Name       *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                             //
	Status     *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                     //
	SortOrder  *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                                     //
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                 //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                 //
}

func (tstru *KillaraHelpCategory) TableName() string {
	return "killara_help_category"
}

// killara_hosting_day
type KillaraHostingDay struct {
	DayId      *uint64    `db:"day_id" gorm:"column:day_id;primary_key;auto_increment:true;" json:"day_id" form:"day_id"` //
	Market     *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                 // 所属证券市场，HK为港股市场，US为美股市场
	Day        *uint64    `db:"day" gorm:"column:day;" json:"day" form:"day"`                                             //
	Status     *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                 //
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`             //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`             //
}

func (tstru *KillaraHostingDay) TableName() string {
	return "killara_hosting_day"
}

// killara_hosting_magnification
type KillaraHostingMagnification struct {
	MagnificationId *uint64    `db:"magnification_id" gorm:"column:magnification_id;primary_key;auto_increment:true;" json:"magnification_id" form:"magnification_id"` //
	Market          *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                         // 所属证券市场，HK为港股市场，US为美股市场
	Magnification   *uint64    `db:"magnification" gorm:"column:magnification;" json:"magnification" form:"magnification"`                                             // 放大倍率
	YearRate        *float64   `db:"year_rate" gorm:"column:year_rate;" json:"year_rate" form:"year_rate"`                                                             // 年利率
	Status          *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                         //
	InsertDate      *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                     //
	ModifyDate      *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                     //
}

func (tstru *KillaraHostingMagnification) TableName() string {
	return "killara_hosting_magnification"
}

// killara_hosting_stocks
type KillaraHostingStocks struct {
	StocksId    *uint64    `db:"stocks_id" gorm:"column:stocks_id;primary_key;auto_increment:true;" json:"stocks_id" form:"stocks_id"` //
	Market      *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                             // 所属证券市场，HK为港股市场，US为美股市场
	StockSymbol *string    `db:"stock_symbol" gorm:"column:stock_symbol;" json:"stock_symbol" form:"stock_symbol"`                     // 股票代码
	StockName   *string    `db:"stock_name" gorm:"column:stock_name;" json:"stock_name" form:"stock_name"`                             // 股票名称
	StockType   *int64     `db:"stock_type" gorm:"column:stock_type;" json:"stock_type" form:"stock_type"`                             //
	Status      *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                             //
	InsertDate  *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                         //
	ModifyDate  *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                         //
}

func (tstru *KillaraHostingStocks) TableName() string {
	return "killara_hosting_stocks"
}

// killara_hundsun_fund
type KillaraHundsunFund struct {
	FundId        *uint64    `db:"fund_id" gorm:"column:fund_id;primary_key;auto_increment:true;" json:"fund_id" form:"fund_id"` //
	ClientId      *string    `db:"client_id" gorm:"column:client_id;" json:"client_id" form:"client_id"`                         //
	Password      *string    `db:"password" gorm:"column:password;" json:"password" form:"password"`                             // 账号密码
	FrozenBalance *float64   `db:"frozen_balance" gorm:"column:frozen_balance;" json:"frozen_balance" form:"frozen_balance"`     // 冻结资金
	EnableBalance *float64   `db:"enable_balance" gorm:"column:enable_balance;" json:"enable_balance" form:"enable_balance"`     // 可用金额
	AlertBalance  *float64   `db:"alert_balance" gorm:"column:alert_balance;" json:"alert_balance" form:"alert_balance"`         // 余额警告（低于）
	MarketValue   *float64   `db:"market_value" gorm:"column:market_value;" json:"market_value" form:"market_value"`             // 证券市值
	Status        *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                     //
	InsertDate    *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                 //
	ModifyDate    *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                 //
}

func (tstru *KillaraHundsunFund) TableName() string {
	return "killara_hundsun_fund"
}

// killara_info
type KillaraInfo struct {
	InfoId      *uint64    `db:"info_id" gorm:"column:info_id;primary_key;auto_increment:true;" json:"info_id" form:"info_id"` //
	CategoryId  *uint64    `db:"category_id" gorm:"column:category_id;" json:"category_id" form:"category_id"`                 //
	LanguageId  *uint64    `db:"language_id" gorm:"column:language_id;" json:"language_id" form:"language_id"`                 // 所属语言
	Name        *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                             //
	Excerpt     *string    `db:"excerpt" gorm:"column:excerpt;" json:"excerpt" form:"excerpt"`                                 //
	Description *string    `db:"description" gorm:"column:description;" json:"description" form:"description"`                 //
	Image       *string    `db:"image" gorm:"column:image;" json:"image" form:"image"`                                         //
	IsBanner    *int64     `db:"is_banner" gorm:"column:is_banner;" json:"is_banner" form:"is_banner"`                         // 是否为banner
	IsHot       *int64     `db:"is_hot" gorm:"column:is_hot;" json:"is_hot" form:"is_hot"`                                     // 是否为热门
	IsRecommend *int64     `db:"is_recommend" gorm:"column:is_recommend;" json:"is_recommend" form:"is_recommend"`             // 是否为推荐
	Status      *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                     //
	SortOrder   *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                     //
	PostDate    *time.Time `db:"post_date" gorm:"column:post_date;" json:"post_date" form:"post_date"`                         //
	InsertDate  *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                 //
	ModifyDate  *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                 //
}

func (tstru *KillaraInfo) TableName() string {
	return "killara_info"
}

// killara_info_category
type KillaraInfoCategory struct {
	CategoryId *uint64    `db:"category_id" gorm:"column:category_id;primary_key;auto_increment:true;" json:"category_id" form:"category_id"` //
	LanguageId *uint64    `db:"language_id" gorm:"column:language_id;" json:"language_id" form:"language_id"`                                 // 所属语言
	Name       *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                             //
	Status     *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                     //
	SortOrder  *uint64    `db:"sort_order" gorm:"column:sort_order;" json:"sort_order" form:"sort_order"`                                     //
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                 //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                 //
}

func (tstru *KillaraInfoCategory) TableName() string {
	return "killara_info_category"
}

// killara_information_term
type KillaraInformationTerm struct {
	TermId      *uint64    `db:"term_id" gorm:"column:term_id;primary_key;auto_increment:true;" json:"term_id" form:"term_id"` //
	LanguageId  *uint64    `db:"language_id" gorm:"column:language_id;" json:"language_id" form:"language_id"`                 // 所属语言
	Name        *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                             //
	Description *string    `db:"description" gorm:"column:description;" json:"description" form:"description"`                 //
	Status      *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                     //
	InsertDate  *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                 //
	ModifyDate  *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                 //
}

func (tstru *KillaraInformationTerm) TableName() string {
	return "killara_information_term"
}

// killara_international
type KillaraInternational struct {
	InternationalId *uint64    `db:"international_id" gorm:"column:international_id;primary_key;auto_increment:true;" json:"international_id" form:"international_id"` //
	StockName       *string    `db:"stock_name" gorm:"column:stock_name;" json:"stock_name" form:"stock_name"`                                                         // 股票名称
	Market          *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                                         // 所属证券市场，HK为港股市场，US为美股市场
	Board           *string    `db:"board" gorm:"column:board;" json:"board" form:"board"`                                                                             // 板块
	Industry        *string    `db:"industry" gorm:"column:industry;" json:"industry" form:"industry"`                                                                 // 行业
	OpenDate        *string    `db:"open_date" gorm:"column:open_date;" json:"open_date" form:"open_date"`                                                             // 公布中签日
	EndBuyDate      *time.Time `db:"end_buy_date" gorm:"column:end_buy_date;" json:"end_buy_date" form:"end_buy_date"`                                                 // 截止购买日
	Deposit         *float64   `db:"deposit" gorm:"column:deposit;" json:"deposit" form:"deposit"`                                                                     // 意向金百分比
	PurchaseFee     *string    `db:"purchase_fee" gorm:"column:purchase_fee;" json:"purchase_fee" form:"purchase_fee"`                                                 // 申购费
	Notice          *string    `db:"notice" gorm:"column:notice;" json:"notice" form:"notice"`                                                                         // 温馨提示
	Status          *int64     `db:"status" gorm:"column:status;" json:"status" form:"status"`                                                                         //
	InsertDate      *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                                     //
	ModifyDate      *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                                     //
}

func (tstru *KillaraInternational) TableName() string {
	return "killara_international"
}

// killara_ipo
type KillaraIpo struct {
	IpoId               *uint64    `db:"ipo_id" gorm:"column:ipo_id;primary_key;auto_increment:true;" json:"ipo_id" form:"ipo_id"`                             //
	Market              *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                             // 所属证券市场，HK为港股市场，US为美股市场
	StockName           *string    `db:"stock_name" gorm:"column:stock_name;" json:"stock_name" form:"stock_name"`                                             // 股票名称
	StockSymbol         *string    `db:"stock_symbol" gorm:"column:stock_symbol;" json:"stock_symbol" form:"stock_symbol"`                                     // 股票代码
	BuyPrice            *string    `db:"buy_price" gorm:"column:buy_price;" json:"buy_price" form:"buy_price"`                                                 // 招股价
	OpenPrice           *string    `db:"open_price" gorm:"column:open_price;" json:"open_price" form:"open_price"`                                             // 发行价（已上市）
	OpenPriceStart      *string    `db:"open_price_start" gorm:"column:open_price_start;" json:"open_price_start" form:"open_price_start"`                     // 发行价起
	OpenPriceEnd        *string    `db:"open_price_end" gorm:"column:open_price_end;" json:"open_price_end" form:"open_price_end"`                             // 发行价至
	OpenDate            *string    `db:"open_date" gorm:"column:open_date;" json:"open_date" form:"open_date"`                                                 // 上市日
	OpenDateConfirm     *int64     `db:"open_date_confirm" gorm:"column:open_date_confirm;" json:"open_date_confirm" form:"open_date_confirm"`                 // 已否已确定了上市日期
	OpenVol             *string    `db:"open_vol" gorm:"column:open_vol;" json:"open_vol" form:"open_vol"`                                                     // 发行量
	PublicDate          *string    `db:"public_date" gorm:"column:public_date;" json:"public_date" form:"public_date"`                                         // 公布结果日
	StartBuyDate        *time.Time `db:"start_buy_date" gorm:"column:start_buy_date;" json:"start_buy_date" form:"start_buy_date"`                             // 开始认购日
	EndBuyDate          *time.Time `db:"end_buy_date" gorm:"column:end_buy_date;" json:"end_buy_date" form:"end_buy_date"`                                     // 截止认购日
	FirstRange          *string    `db:"first_range" gorm:"column:first_range;" json:"first_range" form:"first_range"`                                         // 首日涨跌幅
	GreyRange           *string    `db:"grey_range" gorm:"column:grey_range;" json:"grey_range" form:"grey_range"`                                             // 暗盘涨跌幅
	GreyTrade           *uint64    `db:"grey_trade" gorm:"column:grey_trade;" json:"grey_trade" form:"grey_trade"`                                             // 是否允许暗盘交易。1：是；2：否
	GreyStartDate       *time.Time `db:"grey_start_date" gorm:"column:grey_start_date;" json:"grey_start_date" form:"grey_start_date"`                         // 暗盘开始时间
	GreyEndDate         *time.Time `db:"grey_end_date" gorm:"column:grey_end_date;" json:"grey_end_date" form:"grey_end_date"`                                 // 暗盘截止时间
	GreyWinRate         *string    `db:"grey_win_rate" gorm:"column:grey_win_rate;" json:"grey_win_rate" form:"grey_win_rate"`                                 // 暗盘一手中签率
	GreyTransactionDate *time.Time `db:"grey_transaction_date" gorm:"column:grey_transaction_date;" json:"grey_transaction_date" form:"grey_transaction_date"` // 暗盘交易日
	IsEntrust           *int64     `db:"is_entrust" gorm:"column:is_entrust;" json:"is_entrust" form:"is_entrust"`                                             // 委托打新，1：是；2：否
	PdInfo              *string    `db:"pd_info" gorm:"column:pd_info;" json:"pd_info" form:"pd_info"`                                                         // 发行资料-基本信息
	PdInvestor          *string    `db:"pd_investor" gorm:"column:pd_investor;" json:"pd_investor" form:"pd_investor"`                                         // 发行资料-基石投资者
	PdSponsor           *string    `db:"pd_sponsor" gorm:"column:pd_sponsor;" json:"pd_sponsor" form:"pd_sponsor"`                                             // 发行资料-保荐人
	PdUnderwriter       *string    `db:"pd_underwriter" gorm:"column:pd_underwriter;" json:"pd_underwriter" form:"pd_underwriter"`                             // 发行资料-承销商
	CoInfo              *string    `db:"co_info" gorm:"column:co_info;" json:"co_info" form:"co_info"`                                                         // 简况-公司概况
	CoManager           *string    `db:"co_manager" gorm:"column:co_manager;" json:"co_manager" form:"co_manager"`                                             // 简况-公司高管
	CoDescription       *string    `db:"co_description" gorm:"column:co_description;" json:"co_description" form:"co_description"`                             // 公司简介
	Board               *string    `db:"board" gorm:"column:board;" json:"board" form:"board"`                                                                 // 板块
	Industry            *string    `db:"industry" gorm:"column:industry;" json:"industry" form:"industry"`                                                     // 行业
	InsertDate          *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                         //
	ModifyDate          *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                         //
}

func (tstru *KillaraIpo) TableName() string {
	return "killara_ipo"
}

// killara_ipo_qty
type KillaraIpoQty struct {
	IpoId *uint64 `db:"ipo_id" gorm:"column:ipo_id;index;" json:"ipo_id" form:"ipo_id"` //
	Qty   *string `db:"qty" gorm:"column:qty;" json:"qty" form:"qty"`                   //
	Total *string `db:"total" gorm:"column:total;" json:"total" form:"total"`           //
}

func (tstru *KillaraIpoQty) TableName() string {
	return "killara_ipo_qty"
}

// killara_ipo_ratio
type KillaraIpoRatio struct {
	IpoId *uint64 `db:"ipo_id" gorm:"column:ipo_id;index;" json:"ipo_id" form:"ipo_id"` //
	Name  *string `db:"name" gorm:"column:name;" json:"name" form:"name"`               //
	Ratio *string `db:"ratio" gorm:"column:ratio;" json:"ratio" form:"ratio"`           //
}

func (tstru *KillaraIpoRatio) TableName() string {
	return "killara_ipo_ratio"
}

// killara_setting
type KillaraSetting struct {
	Key       *string `db:"key" gorm:"column:key;" json:"key" form:"key"`                         //
	Value     *string `db:"value" gorm:"column:value;" json:"value" form:"value"`                 //
	Group     *string `db:"group" gorm:"column:group;" json:"group" form:"group"`                 //
	Serialize *uint64 `db:"serialize" gorm:"column:serialize;" json:"serialize" form:"serialize"` //
}

func (tstru *KillaraSetting) TableName() string {
	return "killara_setting"
}

// killara_stock
type KillaraStock struct {
	StockId     *int64  `db:"stock_id" gorm:"column:stock_id;primary_key;auto_increment:true;" json:"stock_id" form:"stock_id"` //
	StockSymbol *string `db:"stock_symbol" gorm:"column:stock_symbol;index;" json:"stock_symbol" form:"stock_symbol"`           // 股票代码
	Market      *string `db:"market" gorm:"column:market;" json:"market" form:"market"`                                         // 证券市场
	StockName   *string `db:"stock_name" gorm:"column:stock_name;" json:"stock_name" form:"stock_name"`                         // 股票名称
	Abbr        *string `db:"abbr" gorm:"column:abbr;" json:"abbr" form:"abbr"`                                                 //
	Stop        *uint64 `db:"stop" gorm:"column:stop;" json:"stop" form:"stop"`                                                 // 停牌，1为是，2为否
	Msgs        *string `db:"msgs" gorm:"column:msgs;" json:"msgs" form:"msgs"`                                                 // 每手股数
	InsertDate  *string `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                     //
}

func (tstru *KillaraStock) TableName() string {
	return "killara_stock"
}

// killara_stock_local 自定义股票
type KillaraStockLocal struct {
	Id                *uint64    `db:"id" gorm:"column:id;primary_key;auto_increment:true;" json:"id" form:"id"`                                           //
	StockSymbol       *string    `db:"stock_symbol" gorm:"column:stock_symbol;index;" json:"stock_symbol" form:"stock_symbol"`                             // 股票代码
	Market            *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                           // 证券市场
	StockNameJson     *[]byte    `db:"stock_name_json" gorm:"column:stock_name_json;" json:"stock_name_json" form:"stock_name_json"`                       // 股票名称，多语言
	TypeTime          *uint64    `db:"type_time" gorm:"column:type_time;" json:"type_time" form:"type_time"`                                               // 1默认交易时间段，2非默认交易时间段，3全天交易
	Diff              *float64   `db:"diff" gorm:"column:diff;" json:"diff" form:"diff"`                                                                   // 最新价偏差值
	GroupNum          *uint64    `db:"group_num" gorm:"column:group_num;" json:"group_num" form:"group_num"`                                               // 每手股数--数量
	Stop              *uint64    `db:"stop" gorm:"column:stop;" json:"stop" form:"stop"`                                                                   // 停牌，1为是，2为否
	OriginStockSymbol *string    `db:"origin_stock_symbol" gorm:"column:origin_stock_symbol;index;" json:"origin_stock_symbol" form:"origin_stock_symbol"` // 股票代码--原始
	InsertDate        *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                       //
	ModifyDate        *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                       //
	DeleteDate        *time.Time `db:"delete_date" gorm:"column:delete_date;" json:"delete_date" form:"delete_date"`                                       //
}

func (tstru *KillaraStockLocal) TableName() string {
	return "killara_stock_local"
}

// killara_stock_local_history 自定义股票--历史
type KillaraStockLocalHistory struct {
	Id                *uint64    `db:"id" gorm:"column:id;primary_key;auto_increment:true;" json:"id" form:"id"`                                           //
	StockLocalId      *uint64    `db:"stock_local_id" gorm:"column:stock_local_id;index;" json:"stock_local_id" form:"stock_local_id"`                     // 自定义股票id
	StockSymbol       *string    `db:"stock_symbol" gorm:"column:stock_symbol;index;" json:"stock_symbol" form:"stock_symbol"`                             // 股票代码
	Market            *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                                                           // 证券市场
	StockNameJson     *[]byte    `db:"stock_name_json" gorm:"column:stock_name_json;" json:"stock_name_json" form:"stock_name_json"`                       // 股票名称，多语言
	Diff              *float64   `db:"diff" gorm:"column:diff;" json:"diff" form:"diff"`                                                                   // 最新价偏差值
	GroupNum          *uint64    `db:"group_num" gorm:"column:group_num;" json:"group_num" form:"group_num"`                                               // 每手股数--数量
	OriginStockSymbol *string    `db:"origin_stock_symbol" gorm:"column:origin_stock_symbol;index;" json:"origin_stock_symbol" form:"origin_stock_symbol"` // 股票代码--原始
	InsertDate        *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                                       //
	ModifyDate        *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                                       //
}

func (tstru *KillaraStockLocalHistory) TableName() string {
	return "killara_stock_local_history"
}

// killara_stock_time 自定义股票时间段
type KillaraStockTime struct {
	Id          *uint64    `db:"id" gorm:"column:id;primary_key;auto_increment:true;" json:"id" form:"id"`               //
	StockSymbol *string    `db:"stock_symbol" gorm:"column:stock_symbol;index;" json:"stock_symbol" form:"stock_symbol"` // 股票代码
	Market      *string    `db:"market" gorm:"column:market;" json:"market" form:"market"`                               // 证券市场
	TypeTime    *uint64    `db:"type_time" gorm:"column:type_time;" json:"type_time" form:"type_time"`                   // 1默认交易时间段，2非默认交易时间段，3全天交易
	InsertDate  *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`           //
	ModifyDate  *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`           //
}

func (tstru *KillaraStockTime) TableName() string {
	return "killara_stock_time"
}

// killara_user
type KillaraUser struct {
	UserId     *uint64    `db:"user_id" gorm:"column:user_id;primary_key;auto_increment:true;" json:"user_id" form:"user_id"` //
	Username   *string    `db:"username" gorm:"column:username;" json:"username" form:"username"`                             //
	Email      *string    `db:"email" gorm:"column:email;" json:"email" form:"email"`                                         //
	Telephone  *string    `db:"telephone" gorm:"column:telephone;" json:"telephone" form:"telephone"`                         //
	Userface   *string    `db:"userface" gorm:"column:userface;" json:"userface" form:"userface"`                             //
	Gender     *int64     `db:"gender" gorm:"column:gender;" json:"gender" form:"gender"`                                     // 1为男，2为女
	Name       *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                             //
	Salt       *string    `db:"salt" gorm:"column:salt;" json:"salt" form:"salt"`                                             //
	Password   *string    `db:"password" gorm:"column:password;" json:"password" form:"password"`                             //
	GroupId    *int64     `db:"group_id" gorm:"column:group_id;" json:"group_id" form:"group_id"`                             // 0为超级管理员
	GroupCode  *string    `db:"group_code" gorm:"column:group_code;" json:"group_code" form:"group_code"`                     //
	Status     *uint64    `db:"status" gorm:"column:status;" json:"status" form:"status"`                                     //
	LastLogin  *time.Time `db:"last_login" gorm:"column:last_login;" json:"last_login" form:"last_login"`                     //
	LastIp     *string    `db:"last_ip" gorm:"column:last_ip;" json:"last_ip" form:"last_ip"`                                 //
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                 //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                 //
}

func (tstru *KillaraUser) TableName() string {
	return "killara_user"
}

// killara_user_group
type KillaraUserGroup struct {
	GroupId    *uint64    `db:"group_id" gorm:"column:group_id;primary_key;auto_increment:true;" json:"group_id" form:"group_id"` //
	Name       *string    `db:"name" gorm:"column:name;" json:"name" form:"name"`                                                 //
	Code       *string    `db:"code" gorm:"column:code;" json:"code" form:"code"`                                                 //
	Permission *string    `db:"permission" gorm:"column:permission;" json:"permission" form:"permission"`                         //
	InsertDate *time.Time `db:"insert_date" gorm:"column:insert_date;" json:"insert_date" form:"insert_date"`                     //
	ModifyDate *time.Time `db:"modify_date" gorm:"column:modify_date;" json:"modify_date" form:"modify_date"`                     //
}

func (tstru *KillaraUserGroup) TableName() string {
	return "killara_user_group"
}

// killara_user_login_history
type KillaraUserLoginHistory struct {
	UserId *uint64    `db:"user_id" gorm:"column:user_id;index;" json:"user_id" form:"user_id"` //
	Ip     *string    `db:"ip" gorm:"column:ip;" json:"ip" form:"ip"`                           //
	Date   *time.Time `db:"date" gorm:"column:date;" json:"date" form:"date"`                   //
}

func (tstru *KillaraUserLoginHistory) TableName() string {
	return "killara_user_login_history"
}

// killara_user_token
type KillaraUserToken struct {
	Token  *string `db:"token" gorm:"column:token;primary_key;" json:"token" form:"token"`   //
	UserId *uint64 `db:"user_id" gorm:"column:user_id;index;" json:"user_id" form:"user_id"` //
	Data   *string `db:"data" gorm:"column:data;" json:"data" form:"data"`                   //
	Expiry *int64  `db:"expiry" gorm:"column:expiry;" json:"expiry" form:"expiry"`           //
}

func (tstru *KillaraUserToken) TableName() string {
	return "killara_user_token"
}

func (models *LogicModels) SetGormDriver(db *gorm.DB) {
	models.KillaraAdAppModel = &KillaraAdAppModel{db: db, TableName: "killara_ad_app"}
	models.KillaraAdLaunchModel = &KillaraAdLaunchModel{db: db, TableName: "killara_ad_launch"}
	models.KillaraAdPcModel = &KillaraAdPcModel{db: db, TableName: "killara_ad_pc"}
	models.KillaraAdPopupModel = &KillaraAdPopupModel{db: db, TableName: "killara_ad_popup"}
	models.KillaraAdXcxModel = &KillaraAdXcxModel{db: db, TableName: "killara_ad_xcx"}
	models.KillaraCatalogAndroidModel = &KillaraCatalogAndroidModel{db: db, TableName: "killara_catalog_android"}
	models.KillaraCatalogBankModel = &KillaraCatalogBankModel{db: db, TableName: "killara_catalog_bank"}
	models.KillaraCatalogCountryModel = &KillaraCatalogCountryModel{db: db, TableName: "killara_catalog_country"}
	models.KillaraCatalogCurrencyModel = &KillaraCatalogCurrencyModel{db: db, TableName: "killara_catalog_currency"}
	models.KillaraCatalogExportModel = &KillaraCatalogExportModel{db: db, TableName: "killara_catalog_export"}
	models.KillaraCatalogFileModel = &KillaraCatalogFileModel{db: db, TableName: "killara_catalog_file"}
	models.KillaraCatalogHolidayModel = &KillaraCatalogHolidayModel{db: db, TableName: "killara_catalog_holiday"}
	models.KillaraCatalogInviteModel = &KillaraCatalogInviteModel{db: db, TableName: "killara_catalog_invite"}
	models.KillaraCatalogLanguageModel = &KillaraCatalogLanguageModel{db: db, TableName: "killara_catalog_language"}
	models.KillaraCatalogMerchantModel = &KillaraCatalogMerchantModel{db: db, TableName: "killara_catalog_merchant"}
	models.KillaraCatalogNoticeModel = &KillaraCatalogNoticeModel{db: db, TableName: "killara_catalog_notice"}
	models.KillaraCatalogServicefeeModel = &KillaraCatalogServicefeeModel{db: db, TableName: "killara_catalog_servicefee"}
	models.KillaraCommissionModel = &KillaraCommissionModel{db: db, TableName: "killara_commission"}
	models.KillaraCustomerModel = &KillaraCustomerModel{db: db, TableName: "killara_customer"}
	models.KillaraCustomerAccountModel = &KillaraCustomerAccountModel{db: db, TableName: "killara_customer_account"}
	models.KillaraCustomerBalanceModel = &KillaraCustomerBalanceModel{db: db, TableName: "killara_customer_balance"}
	models.KillaraCustomerCommissionModel = &KillaraCustomerCommissionModel{db: db, TableName: "killara_customer_commission"}
	models.KillaraCustomerCommissionWithdrawModel = &KillaraCustomerCommissionWithdrawModel{db: db, TableName: "killara_customer_commission_withdraw"}
	models.KillaraCustomerDepositModel = &KillaraCustomerDepositModel{db: db, TableName: "killara_customer_deposit"}
	models.KillaraCustomerDeviceModel = &KillaraCustomerDeviceModel{db: db, TableName: "killara_customer_device"}
	models.KillaraCustomerDeviceLogModel = &KillaraCustomerDeviceLogModel{db: db, TableName: "killara_customer_device_log"}
	models.KillaraCustomerDistributorModel = &KillaraCustomerDistributorModel{db: db, TableName: "killara_customer_distributor"}
	models.KillaraCustomerExchangeModel = &KillaraCustomerExchangeModel{db: db, TableName: "killara_customer_exchange"}
	models.KillaraCustomerFavouriteModel = &KillaraCustomerFavouriteModel{db: db, TableName: "killara_customer_favourite"}
	models.KillaraCustomerFeedbackModel = &KillaraCustomerFeedbackModel{db: db, TableName: "killara_customer_feedback"}
	models.KillaraCustomerFundModel = &KillaraCustomerFundModel{db: db, TableName: "killara_customer_fund"}
	models.KillaraCustomerHoldModel = &KillaraCustomerHoldModel{db: db, TableName: "killara_customer_hold"}
	models.KillaraCustomerInternationalModel = &KillaraCustomerInternationalModel{db: db, TableName: "killara_customer_international"}
	models.KillaraCustomerIpoModel = &KillaraCustomerIpoModel{db: db, TableName: "killara_customer_ipo"}
	models.KillaraCustomerNewsModel = &KillaraCustomerNewsModel{db: db, TableName: "killara_customer_news"}
	models.KillaraCustomerPointModel = &KillaraCustomerPointModel{db: db, TableName: "killara_customer_point"}
	models.KillaraCustomerTokenModel = &KillaraCustomerTokenModel{db: db, TableName: "killara_customer_token"}
	models.KillaraCustomerTransactionModel = &KillaraCustomerTransactionModel{db: db, TableName: "killara_customer_transaction"}
	models.KillaraCustomerWithdrawModel = &KillaraCustomerWithdrawModel{db: db, TableName: "killara_customer_withdraw"}
	models.KillaraFundModel = &KillaraFundModel{db: db, TableName: "killara_fund"}
	models.KillaraFundAchievementModel = &KillaraFundAchievementModel{db: db, TableName: "killara_fund_achievement"}
	models.KillaraFundCategoryModel = &KillaraFundCategoryModel{db: db, TableName: "killara_fund_category"}
	models.KillaraFundNetModel = &KillaraFundNetModel{db: db, TableName: "killara_fund_net"}
	models.KillaraHelpModel = &KillaraHelpModel{db: db, TableName: "killara_help"}
	models.KillaraHelpCategoryModel = &KillaraHelpCategoryModel{db: db, TableName: "killara_help_category"}
	models.KillaraHostingDayModel = &KillaraHostingDayModel{db: db, TableName: "killara_hosting_day"}
	models.KillaraHostingMagnificationModel = &KillaraHostingMagnificationModel{db: db, TableName: "killara_hosting_magnification"}
	models.KillaraHostingStocksModel = &KillaraHostingStocksModel{db: db, TableName: "killara_hosting_stocks"}
	models.KillaraHundsunFundModel = &KillaraHundsunFundModel{db: db, TableName: "killara_hundsun_fund"}
	models.KillaraInfoModel = &KillaraInfoModel{db: db, TableName: "killara_info"}
	models.KillaraInfoCategoryModel = &KillaraInfoCategoryModel{db: db, TableName: "killara_info_category"}
	models.KillaraInformationTermModel = &KillaraInformationTermModel{db: db, TableName: "killara_information_term"}
	models.KillaraInternationalModel = &KillaraInternationalModel{db: db, TableName: "killara_international"}
	models.KillaraIpoModel = &KillaraIpoModel{db: db, TableName: "killara_ipo"}
	models.KillaraIpoQtyModel = &KillaraIpoQtyModel{db: db, TableName: "killara_ipo_qty"}
	models.KillaraIpoRatioModel = &KillaraIpoRatioModel{db: db, TableName: "killara_ipo_ratio"}
	models.KillaraSettingModel = &KillaraSettingModel{db: db, TableName: "killara_setting"}
	models.KillaraStockModel = &KillaraStockModel{db: db, TableName: "killara_stock"}
	models.KillaraStockLocalModel = &KillaraStockLocalModel{db: db, TableName: "killara_stock_local"}
	models.KillaraStockLocalHistoryModel = &KillaraStockLocalHistoryModel{db: db, TableName: "killara_stock_local_history"}
	models.KillaraStockTimeModel = &KillaraStockTimeModel{db: db, TableName: "killara_stock_time"}
	models.KillaraUserModel = &KillaraUserModel{db: db, TableName: "killara_user"}
	models.KillaraUserGroupModel = &KillaraUserGroupModel{db: db, TableName: "killara_user_group"}
	models.KillaraUserLoginHistoryModel = &KillaraUserLoginHistoryModel{db: db, TableName: "killara_user_login_history"}
	models.KillaraUserTokenModel = &KillaraUserTokenModel{db: db, TableName: "killara_user_token"}
}
