package translator

type TrCode string

// 翻译对应的标志字符串ID
const (
	// account_disabled
	// description: "您的账户已禁用，暂时无法操作" one: "您的账户已禁用，暂时无法操作" other: "您的账户已禁用，暂时无法操作"
	AccountDisabled TrCode = "account_disabled"

	// account_disabled_not_login
	// description: "您的账户已禁用，暂时无法操作" one: "您的账户已禁用，暂时无法操作" other: "您的账户已禁用，暂时无法操作"
	AccountDisabledNotLogin TrCode = "account_disabled_not_login"

	// account_not_registered
	// description: "账户未注册，请注册后再操作" one: "账户未注册，请注册后再操作" other: "账户未注册，请注册后再操作"
	AccountNotRegistered TrCode = "account_not_registered"

	// account_or_password_login_failed
	// description: "账号或密码不正确，登录失败" one: "账号或密码不正确，登录失败" other: "账号或密码不正确，登录失败"
	AccountOrPasswordLoginFailed TrCode = "account_or_password_login_failed"

	// all_day_transaction
	// description: "全天交易" one: "全天交易" other: "全天交易"
	AllDayTransaction TrCode = "all_day_transaction"

	// application_has_been_submitted
	// description: "很抱歉，申请已提交交易所，无法取消" one: "很抱歉，申请已提交交易所，无法取消" other: "很抱歉，申请已提交交易所，无法取消"
	ApplicationHasBeenSubmitted TrCode = "application_has_been_submitted"

	// apply_cannot_be_cancelled
	// description: "该笔申请已封帐无法取消" one: "该笔申请已封帐无法取消" other: "该笔申请已封帐无法取消"
	ApplyCannotBeCancelled TrCode = "apply_cannot_be_cancelled"

	// balance_return
	// description: "（退回）" one: "（退回）" other: "（退回）"
	BalanceReturn TrCode = "balance_return"

	// balance_role_1
	// description: "股票买入" one: "股票买入" other: "股票买入"
	BalanceRole1 TrCode = "balance_role_1"

	// balance_role_10
	// description: "平台分成" one: "平台分成" other: "平台分成"
	BalanceRole10 TrCode = "balance_role_10"

	// balance_role_11
	// description: "出金" one: "出金" other: "出金"
	BalanceRole11 TrCode = "balance_role_11"

	// balance_role_12
	// description: "入金" one: "入金" other: "入金"
	BalanceRole12 TrCode = "balance_role_12"

	// balance_role_13
	// description: "基金申购金额" one: "基金申购金额" other: "基金申购金额"
	BalanceRole13 TrCode = "balance_role_13"

	// balance_role_14
	// description: "基金申购费" one: "基金申购费" other: "基金申购费"
	BalanceRole14 TrCode = "balance_role_14"

	// balance_role_15
	// description: "基金管理费" one: "基金管理费" other: "基金管理费"
	BalanceRole15 TrCode = "balance_role_15"

	// balance_role_16
	// description: "资金补扣" one: "资金补扣" other: "资金补扣"
	BalanceRole16 TrCode = "balance_role_16"

	// balance_role_17
	// description: "资金退还" one: "资金退还" other: "资金退还"
	BalanceRole17 TrCode = "balance_role_17"

	// balance_role_18
	// description: "基金结算获利" one: "基金结算获利" other: "基金结算获利"
	BalanceRole18 TrCode = "balance_role_18"

	// balance_role_19
	// description: "虚拟加金" one: "虚拟加金" other: "虚拟加金"
	BalanceRole19 TrCode = "balance_role_19"

	// balance_role_2
	// description: "买入手续费" one: "买入手续费" other: "买入手续费"
	BalanceRole2 TrCode = "balance_role_2"

	// balance_role_20
	// description: "手动入金" one: "手动入金" other: "手动入金"
	BalanceRole20 TrCode = "balance_role_20"

	// balance_role_21
	// description: "转移资金" one: "转移资金" other: "转移资金"
	BalanceRole21 TrCode = "balance_role_21"

	// balance_role_22
	// description: "推广佣金" one: "推广佣金" other: "推广佣金"
	BalanceRole22 TrCode = "balance_role_22"

	// balance_role_23
	// description: "基金超额管理费" one: "基金超额管理费" other: "基金超额管理费"
	BalanceRole23 TrCode = "balance_role_23"

	// balance_role_24
	// description: "货币转换" one: "货币转换" other: "货币转换"
	BalanceRole24 TrCode = "balance_role_24"

	// balance_role_25
	// description: "配资投资本金" one: "配资投资本金" other: "配资投资本金"
	BalanceRole25 TrCode = "balance_role_25"

	// balance_role_26
	// description: "配资利息" one: "配资利息" other: "配资利息"
	BalanceRole26 TrCode = "balance_role_26"

	// balance_role_28
	// description: "赠金" one: "赠金" other: "赠金"
	BalanceRole28 TrCode = "balance_role_28"

	// balance_role_3
	// description: "股票卖出" one: "股票卖出" other: "股票卖出"
	BalanceRole3 TrCode = "balance_role_3"

	// balance_role_4
	// description: "卖出手续费" one: "卖出手续费" other: "卖出手续费"
	BalanceRole4 TrCode = "balance_role_4"

	// balance_role_5
	// description: "新股申购" one: "新股申购" other: "新股申购"
	BalanceRole5 TrCode = "balance_role_5"

	// balance_role_6
	// description: "新股融资利息" one: "新股融资利息" other: "新股融资利息"
	BalanceRole6 TrCode = "balance_role_6"

	// balance_role_7
	// description: "新股申购手续费" one: "新股申购手续费" other: "新股申购手续费"
	BalanceRole7 TrCode = "balance_role_7"

	// balance_role_8
	// description: "新股中签手续费" one: "新股中签手续费" other: "新股中签手续费"
	BalanceRole8 TrCode = "balance_role_8"

	// balance_role_9
	// description: "国配意向金" one: "国配意向金" other: "国配意向金"
	BalanceRole9 TrCode = "balance_role_9"

	// buy_success_content_1
	// description: "您的交易 " one: "您的交易 " other: "您的交易 "
	BuySuccessContent1 TrCode = "buy_success_content_1"

	// buy_success_content_2
	// description: " 买入 " one: " 买入 " other: " 买入 "
	BuySuccessContent2 TrCode = "buy_success_content_2"

	// buy_success_content_3
	// description: " 已成交" one: " 已成交" other: " 已成交"
	BuySuccessContent3 TrCode = "buy_success_content_3"

	// buy_success_title
	// description: "买入交易已成交" one: "买入交易已成交" other: "买入交易已成交"
	BuySuccessTitle TrCode = "buy_success_title"

	// category_not_exist
	// description: "分类不存在" one: "分类不存在" other: "分类不存在"
	CategoryNotExist TrCode = "category_not_exist"

	// currency_exchange_status_1
	// description: "待处理" one: "待处理" other: "待处理"
	CurrencyExchangeStatus1 TrCode = "currency_exchange_status_1"

	// currency_exchange_status_2
	// description: "转换成功" one: "转换成功" other: "转换成功"
	CurrencyExchangeStatus2 TrCode = "currency_exchange_status_2"

	// currency_exchange_status_3
	// description: "转换失败" one: "转换失败" other: "转换失败"
	CurrencyExchangeStatus3 TrCode = "currency_exchange_status_3"

	// currency_exchange_status_4
	// description: "已取消" one: "已取消" other: "已取消"
	CurrencyExchangeStatus4 TrCode = "currency_exchange_status_4"

	// current_position_of_the_stock
	// description: "股票当前持仓数量" one: "股票当前持仓数量" other: "股票当前持仓数量"
	CurrentPositionOfTheStock TrCode = "current_position_of_the_stock"

	// currently_only_supports_conversion_hkd
	// description: "目前只支持转为港币 HKD $" one: "目前只支持转为港币 HKD $" other: "目前只支持转为港币 HKD $"
	CurrentlyOnlySupportsConversionHkd TrCode = "currently_only_supports_conversion_hkd"

	// data_not_exist
	// description: "数据不存在！" one: "数据不存在！" other: "数据不存在！"
	DataNotExist TrCode = "data_not_exist"

	// data_not_exist_retry
	// description: "数据不存在，请重试！" one: "数据不存在，请重试！" other: "数据不存在，请重试！"
	DataNotExistRetry TrCode = "data_not_exist_retry"

	// day
	// description: "日" one: "日" other: "日"
	Day TrCode = "day"

	// days_ago
	// description: " 天前" one: " 天前" other: " 天前"
	DaysAgo TrCode = "days_ago"

	// default_trading_time_period
	// description: "默认交易时间段" one: "默认交易时间段" other: "默认交易时间段"
	DefaultTradingTimePeriod TrCode = "default_trading_time_period"

	// email_exchange_title
	// description: "资金变动提示" one: "资金变动提示" other: "资金变动提示"
	EmailExchangeTitle TrCode = "email_exchange_title"

	// email_registered
	// description: "邮箱已注册" one: "邮箱已注册" other: "邮箱已注册"
	EmailRegistered TrCode = "email_registered"

	// email_registered_forget_password
	// description: "邮箱已注册，请直接登录，如您忘记登录密码，请找回登录密码" one: "邮箱已注册，请直接登录，如您忘记登录密码，请找回登录密码" other: "邮箱已注册，请直接登录，如您忘记登录密码，请找回登录密码"
	EmailRegisteredForgetPassword TrCode = "email_registered_forget_password"

	// email_verify_code
	// description: "邮箱验证码" one: "邮箱验证码" other: "邮箱验证码"
	EmailVerifyCode TrCode = "email_verify_code"

	// email_verify_code_wrong
	// description: "邮箱验证码不正确" one: "邮箱验证码不正确" other: "邮箱验证码不正确"
	EmailVerifyCodeWrong TrCode = "email_verify_code_wrong"

	// email_verify_code_wrong_login_fail
	// description: "邮箱验证码不正确，登录失败" one: "邮箱验证码不正确，登录失败" other: "邮箱验证码不正确，登录失败"
	EmailVerifyCodeWrongLoginFail TrCode = "email_verify_code_wrong_login_fail"

	// financing_not_cancel
	// description: "很抱歉，融资打新不允许取消" one: "很抱歉，融资打新不允许取消" other: "很抱歉，融资打新不允许取消"
	FinancingNotCancel TrCode = "financing_not_cancel"

	// format_account_is_insufficient
	// description: "账户余额不足，请先入金" one: "{{.CatalogCurrency}} 账户余额不足，请先入金" other: "{{.CatalogCurrency}} 账户余额不足，请先入金"
	FormatAccountIsInsufficient TrCode = "format_account_is_insufficient"

	// fund_has_been_delisted
	// description: "很抱歉，基金已下架，暂时无法申购" one: "很抱歉，基金已下架，暂时无法申购" other: "很抱歉，基金已下架，暂时无法申购"
	FundHasBeenDelisted TrCode = "fund_has_been_delisted"

	// fund_order_status_1
	// description: "已申购" one: "已申购" other: "已申购"
	FundOrderStatus1 TrCode = "fund_order_status_1"

	// fund_order_status_2
	// description: "已取消" one: "已取消" other: "已取消"
	FundOrderStatus2 TrCode = "fund_order_status_2"

	// fund_order_status_3
	// description: "已结算" one: "已结算" other: "已结算"
	FundOrderStatus3 TrCode = "fund_order_status_3"

	// get_email_verify_code_first
	// description: "请先获取邮箱验证码" one: "请先获取邮箱验证码" other: "请先获取邮箱验证码"
	GetEmailVerifyCodeFirst TrCode = "get_email_verify_code_first"

	// get_phone_number_verify_code_first
	// description: "请先获取手机验证码" one: "请先获取手机验证码" other: "请先获取手机验证码"
	GetPhoneNumberVerifyCodeFirst TrCode = "get_phone_number_verify_code_first"

	// have_a_subscription_record
	// description: "您已有该新股的申购记录，不能重复申请" one: "您已有该新股的申购记录，不能重复申请" other: "您已有该新股的申购记录，不能重复申请"
	HaveASubscriptionRecord TrCode = "have_a_subscription_record"

	// have_an_entrustment_record
	// description: "您已有该新股的委托记录，不能重复委托" one: "您已有该新股的委托记录，不能重复委托" other: "您已有该新股的委托记录，不能重复委托"
	HaveAnEntrustmentRecord TrCode = "have_an_entrustment_record"

	// holding_amount_is_insufficient
	// description: "，持有数量不足，无法卖出" one: "，持有数量不足，无法卖出" other: "，持有数量不足，无法卖出"
	HoldingAmountIsInsufficient TrCode = "holding_amount_is_insufficient"

	// hongkong_account_is_insufficient
	// description: "港股账户余额不足，请先入金" one: "港股账户余额不足，请先入金" other: "港股账户余额不足，请先入金"
	HongkongAccountIsInsufficient TrCode = "hongkong_account_is_insufficient"

	// hongkong_stock_account_not_be_less_than
	// description: "融资申购要求港股账户余额不低于" one: "融资申购要求港股账户余额不低于" other: "融资申购要求港股账户余额不低于"
	HongkongStockAccountNotBeLessThan TrCode = "hongkong_stock_account_not_be_less_than"

	// hours_ago
	// description: " 小时前" one: " 小时前" other: " 小时前"
	HoursAgo TrCode = "hours_ago"

	// in_transaction
	// description: "交易中" one: "交易中" other: "交易中"
	InTransaction TrCode = "in_transaction"

	// incorrect_amount_retry
	// description: "金额错误，请重试" one: "金额错误，请重试" other: "金额错误，请重试"
	IncorrectAmountRetry TrCode = "incorrect_amount_retry"

	// incorrect_security_code_retry
	// description: "证券代码错误，请重试" one: "证券代码错误，请重试" other: "证券代码错误，请重试"
	IncorrectSecurityCodeRetry TrCode = "incorrect_security_code_retry"

	// insufficient_account_balance
	// description: "账户余额不足，转换失败" one: "账户余额不足，转换失败" other: "账户余额不足，转换失败"
	InsufficientAccountBalance TrCode = "insufficient_account_balance"

	// invitation_code_not_exists
	// description: "邀请码不存在或有误，请检查后重试" one: "邀请码不存在或有误，请检查后重试" other: "邀请码不存在或有误，请检查后重试"
	InvitationCodeNotExists TrCode = "invitation_code_not_exists"

	// ipo_cash_commission
	// description: "现金委托" one: "现金委托" other: "现金委托"
	IpoCashCommission TrCode = "ipo_cash_commission"

	// ipo_financing_10_times
	// description: "融资10倍" one: "融资10倍" other: "融资10倍"
	IpoFinancing10Times TrCode = "ipo_financing_10_times"

	// ipo_financing_20_times
	// description: "融资20倍" one: "融资20倍" other: "融资20倍"
	IpoFinancing20Times TrCode = "ipo_financing_20_times"

	// ipo_times
	// description: " 倍" one: " 倍" other: " 倍"
	IpoTimes TrCode = "ipo_times"

	// market_closed_orders_cannot_be_placed
	// description: "当前市场休市中，暂不能下单" one: "当前市场休市中，暂不能下单" other: "当前市场休市中，暂不能下单"
	MarketClosedOrdersCannotBePlaced TrCode = "market_closed_orders_cannot_be_placed"

	// max
	// description: "最大" one: "最大" other: "最大"
	Max TrCode = "max"

	// maximum_number_of_sells
	// description: "允许卖出数量最多为" one: "允许卖出数量最多为" other: "允许卖出数量最多为"
	MaximumNumberOfSells TrCode = "maximum_number_of_sells"

	// minimum_purchase_amount
	// description: "申购金额最低" one: "申购金额最低" other: "申购金额最低"
	MinimumPurchaseAmount TrCode = "minimum_purchase_amount"

	// minutes_ago
	// description: " 分钟前" one: " 分钟前" other: " 分钟前"
	MinutesAgo TrCode = "minutes_ago"

	// month
	// description: "月" one: "月" other: "月"
	Month TrCode = "month"

	// new_shares_do_not_exist
	// description: "新股不存在" one: "新股不存在" other: "新股不存在"
	NewSharesDoNotExist TrCode = "new_shares_do_not_exist"

	// non_default_trading_time_period
	// description: "非默认交易时间段" one: "非默认交易时间段" other: "非默认交易时间段"
	NonDefaultTradingTimePeriod TrCode = "non_default_trading_time_period"

	// non_grey_market_trading_time
	// description: "当前为非暗盘交易时间，下单失败" one: "当前为非暗盘交易时间，下单失败" other: "当前为非暗盘交易时间，下单失败"
	NonGreyMarketTradingTime TrCode = "non_grey_market_trading_time"

	// order_failed_odd_lot_trading
	// description: "下单失败，不支持碎股交易" one: "下单失败，不支持碎股交易" other: "下单失败，不支持碎股交易"
	OrderFailedOddLotTrading TrCode = "order_failed_odd_lot_trading"

	// order_failed_price_cannot_be_higher_than
	// description: "下单失败，价格不能高于" one: "下单失败，价格不能高于" other: "下单失败，价格不能高于"
	OrderFailedPriceCannotBeHigherThan TrCode = "order_failed_price_cannot_be_higher_than"

	// order_failed_price_cannot_be_lower_than
	// description: "下单失败，价格不能低于" one: "下单失败，价格不能低于" other: "下单失败，价格不能低于"
	OrderFailedPriceCannotBeLowerThan TrCode = "order_failed_price_cannot_be_lower_than"

	// order_failed_price_is_incorrect
	// description: "下单失败，价格不正确" one: "下单失败，价格不正确" other: "下单失败，价格不正确"
	OrderFailedPriceIsIncorrect TrCode = "order_failed_price_is_incorrect"

	// order_failed_retry
	// description: "下单失败，请重试" one: "下单失败，请重试" other: "下单失败，请重试"
	OrderFailedRetry TrCode = "order_failed_retry"

	// order_is_not_cancel
	// description: "该订单当前不支持撤单" one: "该订单当前不支持撤单" other: "该订单当前不支持撤单"
	OrderIsNotCancel TrCode = "order_is_not_cancel"

	// order_needs_3_minutes_before
	// description: "市价单需要下单3分钟后才能撤单" one: "市价单需要下单3分钟后才能撤单" other: "市价单需要下单3分钟后才能撤单"
	OrderNeeds3MinutesBefore TrCode = "order_needs_3_minutes_before"

	// other
	// description: "其他" one: "其他" other: "其他"
	Other TrCode = "other"

	// password_match_error
	// description: "两次密码不一致" one: "两次密码不一致" other: "两次密码不一致"
	PasswordMatchError TrCode = "password_match_error"

	// password_match_error_origin
	// description: "原始密码不一致" one: "原始密码不一致" other: "原始密码不一致"
	PasswordMatchErrorOrigin TrCode = "password_match_error_origin"

	// phone_number_country_incorrect
	// description: "手机所属国家不正确，请检查" one: "手机所属国家不正确，请检查" other: "手机所属国家不正确，请检查"
	PhoneNumberCountryIncorrect TrCode = "phone_number_country_incorrect"

	// phone_number_not_registered
	// description: "账户未注册，请注册后再操作" one: "账户未注册，请注册后再操作" other: "账户未注册，请注册后再操作"
	PhoneNumberNotRegistered TrCode = "phone_number_not_registered"

	// phone_number_registered
	// description: "手机已注册" one: "手机已注册" other: "手机已注册"
	PhoneNumberRegistered TrCode = "phone_number_registered"

	// phone_number_registered_forget_password
	// description: "手机号已注册，请直接登录，如您忘记登录密码，请找回登录密码" one: "手机号已注册，请直接登录，如您忘记登录密码，请找回登录密码" other: "手机号已注册，请直接登录，如您忘记登录密码，请找回登录密码"
	PhoneNumberRegisteredForgetPassword TrCode = "phone_number_registered_forget_password"

	// phone_number_verify_code_wrong
	// description: "手机验证码不正确" one: "手机验证码不正确" other: "手机验证码不正确"
	PhoneNumberVerifyCodeWrong TrCode = "phone_number_verify_code_wrong"

	// phone_number_verify_code_wrong_login_fail
	// description: "手机验证码不正确，登录失败" one: "手机验证码不正确，登录失败" other: "手机验证码不正确，登录失败"
	PhoneNumberVerifyCodeWrongLoginFail TrCode = "phone_number_verify_code_wrong_login_fail"

	// please_deposit_first
	// description: "，请先入金！" one: "，请先入金！" other: "，请先入金！"
	PleaseDepositFirst TrCode = "please_deposit_first"

	// pretrade_not_allow_market_order
	// description: "盘前交易不支持市价单，请更换重试" one: "盘前交易不支持市价单，请更换重试" other: "盘前交易不支持市价单，请更换重试"
	PretradeNotAllowMarketOrder TrCode = "pretrade_not_allow_market_order"

	// record_is_not_cancel
	// description: "该记录当前已不允许取消" one: "该记录当前已不允许取消" other: "该记录当前已不允许取消"
	RecordIsNotCancel TrCode = "record_is_not_cancel"

	// record_not_exist
	// description: "记录不存在" one: "记录不存在" other: "记录不存在"
	RecordNotExist TrCode = "record_not_exist"

	// rise
	// description: "起" one: "起" other: "起"
	Rise TrCode = "rise"

	// sell_success_content_1
	// description: "您的交易 " one: "您的交易 " other: "您的交易 "
	SellSuccessContent1 TrCode = "sell_success_content_1"

	// sell_success_content_2
	// description: " 卖出 " one: " 卖出 " other: " 卖出 "
	SellSuccessContent2 TrCode = "sell_success_content_2"

	// sell_success_content_3
	// description: " 已成交" one: " 已成交" other: " 已成交"
	SellSuccessContent3 TrCode = "sell_success_content_3"

	// sell_success_title
	// description: "卖出交易已成交" one: "卖出交易已成交" other: "卖出交易已成交"
	SellSuccessTitle TrCode = "sell_success_title"

	// sms_verify_code_content_1
	// description: "你的短讯验证码为：" one: "你的短讯验证码为：" other: "你的短讯验证码为："
	SmsVerifyCodeContent1 TrCode = "sms_verify_code_content_1"

	// state_not_cancel
	// description: "当前状态不允许取消" one: "当前状态不允许取消" other: "当前状态不允许取消"
	StateNotCancel TrCode = "state_not_cancel"

	// stock
	// description: "股票" one: "股票" other: "股票"
	Stock TrCode = "stock"

	// stock_insufficient
	// description: "您当前未持仓该股票或持仓数量不足，无法卖出" one: "您当前未持仓该股票或持仓数量不足，无法卖出" other: "您当前未持仓该股票或持仓数量不足，无法卖出"
	StockInsufficient TrCode = "stock_insufficient"

	// stocks_do_not_support_grey_market_trading
	// description: "股票不支持暗盘交易" one: "股票不支持暗盘交易" other: "股票不支持暗盘交易"
	StocksDoNotSupportGreyMarketTrading TrCode = "stocks_do_not_support_grey_market_trading"

	// subscription_deadline_has_passed
	// description: "当前已超过认购截止时间！" one: "当前已超过认购截止时间！" other: "当前已超过认购截止时间！"
	SubscriptionDeadlineHasPassed TrCode = "subscription_deadline_has_passed"

	// subscription_failed_over_purchased
	// description: "申购失败，购买超额。基金当前剩余申购额度为：" one: "申购失败，购买超额。基金当前剩余申购额度为：" other: "申购失败，购买超额。基金当前剩余申购额度为："
	SubscriptionFailedOverPurchased TrCode = "subscription_failed_over_purchased"

	// text_required
	// description: "数据有误" one: "数据有误" other: "数据有误"
	TextRequired TrCode = "text_required"

	// the_market_is_closed
	// description: "休市中" one: "休市中" other: "休市中"
	TheMarketIsClosed TrCode = "the_market_is_closed"

	// the_market_is_closed_on_weekends
	// description: "周末休市中" one: "周末休市中" other: "周末休市中"
	TheMarketIsClosedOnWeekends TrCode = "the_market_is_closed_on_weekends"

	// the_maximum_quantity_is_limited_to_10_digits
	// description: "数量最大限制10位数以内" one: "数量最大限制10位数以内" other: "数量最大限制10位数以内"
	TheMaximumQuantityIsLimitedTo10Digits TrCode = "the_maximum_quantity_is_limited_to_10_digits"

	// to_be_disclosed
	// description: "待公布" one: "待公布" other: "待公布"
	ToBeDisclosed TrCode = "to_be_disclosed"

	// us_account_is_insufficient
	// description: "美股账户余额不足，请先入金" one: "美股账户余额不足，请先入金" other: "美股账户余额不足，请先入金"
	UsAccountIsInsufficient TrCode = "us_account_is_insufficient"

	// us_stock_account_not_be_less_than
	// description: "融资申购要求美股账户余额不低于" one: "融资申购要求美股账户余额不低于" other: "融资申购要求美股账户余额不低于"
	UsStockAccountNotBeLessThan TrCode = "us_stock_account_not_be_less_than"

	// usdt_account_is_insufficient
	// description: "USDT账户余额不足，请先入金" one: "USDT账户余额不足，请先入金" other: "USDT账户余额不足，请先入金"
	UsdtAccountIsInsufficient TrCode = "usdt_account_is_insufficient"

	// waiting_to_open
	// description: "待开盘" one: "待开盘" other: "待开盘"
	WaitingToOpen TrCode = "waiting_to_open"

	// week
	// description: "周" one: "周" other: "周"
	Week TrCode = "week"

	// withfunding_asset_total_must_large_than_order_total
	// description: "下单失败，操盘资金必须大于下单金额" one: "下单失败，操盘资金必须大于下单金额" other: "下单失败，操盘资金必须大于下单金额"
	WithfundingAssetTotalMustLargeThanOrderTotal TrCode = "withfunding_asset_total_must_large_than_order_total"

	// withfunding_must_all_clear
	// description: "下单失败，配资必须全仓卖出" one: "下单失败，配资必须全仓卖出" other: "下单失败，配资必须全仓卖出"
	WithfundingMustAllClear TrCode = "withfunding_must_all_clear"
)
